webpackJsonp([16],{

/***/ 672:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pasaload__ = __webpack_require__(774);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PasaloadPageModule", function() { return PasaloadPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PasaloadPageModule = (function () {
    function PasaloadPageModule() {
    }
    return PasaloadPageModule;
}());
PasaloadPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__pasaload__["a" /* PasaloadPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__pasaload__["a" /* PasaloadPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__pasaload__["a" /* PasaloadPage */]]
    })
], PasaloadPageModule);

//# sourceMappingURL=pasaload.module.js.map

/***/ }),

/***/ 704:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PasaloadService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var PasaloadService = (function () {
    function PasaloadService(http) {
        this.http = http;
        this.config = this.http.getConfig();
    }
    PasaloadService.prototype.getRemainingCreditLimit = function (param) {
        var params = param.accountType + "/" +
            param.accountNo + "/" +
            param.channel;
        console.log("SERVICE: get remaining credit limit - params \n", params);
        return this.http.get(this.config.api.account.remainingCreditLimit + "/" + params);
    };
    PasaloadService.prototype.getServiceID = function (param) {
        var params = param.accountNo + "/" +
            param.brandType + "/" +
            param.channel;
        return this.http.get(this.config.api.account.usage + "/" + params);
    };
    PasaloadService.prototype.getHistory = function (serviceId) {
        console.log("serviceId \n", serviceId);
        return this.http.get(this.config.api.pasaload.history + "/" + serviceId);
    };
    PasaloadService.prototype.getSubscriptionList = function (param) {
        var params = param.MIN + "/" +
            param.Brand + "/" +
            param.PromoInfoID + "/" +
            param.PromoType + "/" +
            param.UregChannel + "/" +
            param.Channel;
        return this.http.get(this.config.api.pasaload.product + "/" + params);
    };
    PasaloadService.prototype.submitSubscription = function (payload) {
        return this.http.post(this.config.api.pasaload.purchase, {
            accountNo: payload.accountNo,
            // accountType:payload.accountType,
            channel: payload.channel,
            email: payload.email,
            firstName: payload.firstName,
            lastName: payload.lastName,
            min: payload.min,
            msaId: payload.msaId,
            productId: payload.productId,
            userId: payload.userId,
            productName: payload.productName
        });
    };
    PasaloadService.prototype.validateMin = function (min) {
        return this.http.get(this.config.api.pasaload.number + '/' + min + '/0');
    };
    return PasaloadService;
}());
PasaloadService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */]])
], PasaloadService);

//# sourceMappingURL=pasaload.service.js.map

/***/ }),

/***/ 774:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pasaload_service__ = __webpack_require__(704);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_configuration_service__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__ = __webpack_require__(53);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PasaloadPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//service





var PasaloadPage = (function () {
    function PasaloadPage(navCtrl, navParams, pasaloadService, alert, modalCtrl, configuration, storage, analytics) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.pasaloadService = pasaloadService;
        this.alert = alert;
        this.modalCtrl = modalCtrl;
        this.configuration = configuration;
        this.storage = storage;
        this.analytics = analytics;
        if (this.navParams.data.result != undefined) {
            this.min = this.navParams.data.result.min;
        }
        this.min = '';
        this.invalidMsg = '';
        //ANALYTICS
        this.analytics.trackEvent(__WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__["b" /* REPORT_PARAMS */].category.pageView, __WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__["b" /* REPORT_PARAMS */].pages.pasaload);
    }
    // @ViewChildren('input') vc;
    // ngAfterViewInit() {            
    //      this.vc.first.nativeElement.focus();
    //  }
    PasaloadPage.prototype.ngOnInit = function () {
    };
    PasaloadPage.prototype.proceed = function () {
        var modifiedMin = this.deleteFirstChar(this.min);
        this.validate$ = this.pasaloadService.validateMin(modifiedMin);
        // if(this.storage.account.ivrsValidatedDate === null){
        //     let confirmModal = this.modalCtrl.create(ConfirmModal,{
        //         message: 'To proceed with this transaction, please verify your account via your registered landline',
        //         	inputs: [{ name: 'accountNo', type: 'number', value: this.storage.account.accountNo, placeholder: '', isVisible:false}],
        //             buttons:[{type:'button',text:'CANCEL', onClick: 'cancel'},
        //                 {type:'xhr', text:'VERIFY', onClick:'resendIVRS', onSuccess:'confirmIVRS'}],
        //         observable: '',
        //         observableError: ''
        //       });
        //     confirmModal.present();
        //     confirmModal.onDidDismiss(result => { if(result.isSuccessful){
        //       let alert = this.alert.create({
        //           subTitle:"<b>We've sent you an email!</b><br/><br/> Please call express hotline number 101012 using your registered PLDT landline and key in the 6-digit code sent to your email <b>" + this.storage.ssoProfile.email + "</b>",
        //           buttons:[{text: 'OK' , role:'okay'}]
        //       })
        //       alert.present();
        //     }
        //     });
        // }else{
        //     let modifiedMin:string = this.deleteFirstChar(this.min);
        //     this.validate$ = this.pasaloadService.validateMin(modifiedMin);
        // }
    };
    PasaloadPage.prototype.clearMin = function () {
        this.min = '';
        this.invalidMsg = '';
    };
    PasaloadPage.prototype.validateList = function (response) {
        if (response.isSuccessful) {
            // Check if MIN is allowed to transact
            if (response.result.status === "Active") {
                this.getSubscriptionList(response);
                this.brand = response.result.brand;
            }
            else if (response.result.status === "Inactive" || response.result.status === "Not Active") {
                // console.warn("Min is Inactive");
                this.errorCode = response.result.code;
                this.invalidMsg = response.result.message;
            }
            else if (response.result.status === "Not Registered") {
                // console.warn("Min is Invalid");
                this.errorCode = response.result.code;
                this.invalidMsg = response.result.message;
            }
            else {
                // console.warn("Min is either invalid/inactive");
                this.errorCode = response.result.code;
                this.invalidMsg = response.message;
            }
        }
        else {
            this.errorHandler(response);
        }
    };
    PasaloadPage.prototype.getSubscriptionList = function (response) {
        var _this = this;
        var params = {
            Brand: response.result.brand,
            Channel: this.configuration.getConfig().constants.mobileChannel,
            MIN: response.result.min,
            PromoInfoID: "1001",
            PromoType: "PLDT-PLUHW",
            UregChannel: "58" //static
        };
        return this.pasaloadService.getSubscriptionList(params).subscribe(function (response) {
            if (response.isSuccessful) {
                console.warn("get product list success \n", response);
                response.result.min = _this.min;
                response.result.brand = _this.brand;
                _this.goToSubscription(response);
                _this.clearMin();
            }
            else {
                console.warn("get product list fail \n", response);
                _this.invalidMsg = response.message;
                return false;
            }
        });
    };
    PasaloadPage.prototype.deleteFirstChar = function (string) {
        var str = string;
        return str.substr(1);
    };
    PasaloadPage.prototype.goToSubscription = function (response) {
        console.warn("go to subscription \n", response);
        this.canLeave = true;
        this.navCtrl.push('SubscriptionListPage', response);
    };
    PasaloadPage.prototype.viewHistory = function () {
        this.canLeave = true;
        this.navCtrl.push('HistoryPage');
    };
    PasaloadPage.prototype.ionViewCanLeave = function () {
        var _this = this;
        if (this.canLeave) {
            this.canLeave = false;
            return true;
        }
        return new Promise(function (resolve) {
            var alert = _this.alert.create({
                message: 'Are you sure you want to cancel pasaload?',
                buttons: [
                    {
                        text: 'NO',
                        cssClass: 'custom-outline',
                        handler: function () {
                            resolve(false);
                        },
                    }, {
                        text: 'YES',
                        handler: function () {
                            resolve(true);
                        }
                    }
                ],
                enableBackdropDismiss: false
            });
            alert.present();
            alert.onDidDismiss(function (result) {
                resolve(false);
            });
        });
    };
    PasaloadPage.prototype.errorHandler = function (error) {
        var message = error.message || error.errorMessage || "";
        if (message === '')
            message = this.configuration.getConfig().ERROR_MESSAGE.GENERIC_ERROR;
        var alert = this.alert.create({
            subTitle: message,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    return PasaloadPage;
}());
PasaloadPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-pasaload',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/services/pasaload/pasaload.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>Pasaload</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class ="index">\n<!-- <div ion-fixed> -->\n    <div class="image-container">\n        <img src="assets/headers/pasaload.jpg">\n        <span class="banner-text-overlay left">PASALOAD to any Smart, Smart Bro Prepaid, or TNT subscriber! </span>\n    </div>\n	<ion-row padding class="flex flex-v-center">\n		<ion-icon name="icon-Call_Phone"></ion-icon> <b>Recipient</b>\n	</ion-row >\n\n	<div>\n		<ion-card>\n			<ion-card-content>\n				<ion-row>\n					<ion-col width-100>\n						Recipient Mobile Number\n					</ion-col>\n				</ion-row>\n\n				<form #form="ngForm" (ngSubmit)="proceed()">\n					<ion-col width-100>\n						<ion-row>\n							<ion-input  class="underline" minlength="11" maxlength="11"  [ngClass]="{\'invalid\' : invalidMsg } " type="tel" placeholder="eg. 09XXXXXXXXX" name="number" [(ngModel)]=\'min\' required></ion-input>\n						</ion-row>\n						<ion-row>\n						<div *ngIf="invalidMsg != \'\'" class=\'d3 invalid\'> <b>Error Code: {{errorCode}} </b> <br/> {{ invalidMsg }}</div>\n						</ion-row>\n				  </ion-col>\n		\n					<ion-row  class="text-center flex-center">\n							<ion-col  width-50>\n							\n\n								<xhr-button color="primary" \n									[disabled]="form.invalid"\n									[observable]="validate$"\n									(onSuccess)="validateList($event)"\n									(onError)="errorHandler($event)"\n									text="PROCEED"></xhr-button>\n\n								<!-- <xhr-button color="primary" [disabled]="form.invalid" [observable]="validate$" text="PROCEED"></xhr-button> -->\n							</ion-col>\n					</ion-row>\n				</form>\n\n				<ion-row>\n					<ion-col width-100>\n						<ion-item  class="text-center">\n							<a (click)="viewHistory()" > View History </a>\n						</ion-item>\n					</ion-col>\n				</ion-row>\n\n			</ion-card-content>\n		</ion-card>\n	</div>\n<!-- </div> -->\n</ion-content>\n'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/services/pasaload/pasaload.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__pasaload_service__["a" /* PasaloadService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__pasaload_service__["a" /* PasaloadService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ModalController */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_configuration_service__["a" /* ConfigurationService */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__["a" /* AnalyticsService */]])
], PasaloadPage);

//# sourceMappingURL=pasaload.js.map

/***/ })

});
//# sourceMappingURL=16.main.js.map