webpackJsonp([20],{

/***/ 667:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__redemption_page__ = __webpack_require__(766);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RedemptionPageModule", function() { return RedemptionPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var RedemptionPageModule = (function () {
    function RedemptionPageModule() {
    }
    return RedemptionPageModule;
}());
RedemptionPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__redemption_page__["a" /* RedemptionPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__redemption_page__["a" /* RedemptionPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__redemption_page__["a" /* RedemptionPage */]]
    })
], RedemptionPageModule);

//# sourceMappingURL=redemption.page.module.js.map

/***/ }),

/***/ 766:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__redemption_service__ = __webpack_require__(767);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config_properties__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__account_link_account_service__ = __webpack_require__(13);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RedemptionPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var RedemptionPage = (function () {
    function RedemptionPage(storage, params, modal, service, alert, nav, view, accountService) {
        this.storage = storage;
        this.params = params;
        this.modal = modal;
        this.service = service;
        this.alert = alert;
        this.nav = nav;
        this.view = view;
        this.accountService = accountService;
        this.modes = {
            BILL_REBATES: "BillRebates",
            PASALOAD: "PasaLoad"
        };
        this.account = storage.account;
        this.currentRewardsCard = params.data.currentRewardsCard;
        this.currentRedeemable = params.data.currentRedeemable;
        this.mode = this.currentRedeemable[0].type;
        if (this.mode === this.modes.BILL_REBATES) {
            this.selected = this.currentRedeemable[0];
        }
        console.log(nav.indexOf(view));
        console.log(nav.getViews());
    }
    RedemptionPage.prototype.payNow = function (xhr) {
        var _this = this;
        if (this.hasError()) {
            xhr.dismissLoading();
            return;
        }
        if (this.mode === this.modes.BILL_REBATES) {
            this.transact(xhr, "You are about to reedeem P" + this.amount + " from your eCard rewards as payment for your PLDT Account <b>" + this.account.accountNo + "</b>");
        }
        else {
            this.accountService.getAccountLinkStatus().subscribe(function (response) {
                if (response.isSuccessful) {
                    if (response.result.ivrsValidatedDate === null) {
                        _this.ivrsRedirect(xhr);
                    }
                    else {
                        _this.transact(xhr, "You are about to send P" + _this.selected.amount + " to " + _this.min);
                    }
                }
            }, function (err) {
                xhr.dismissLoading();
                _this.errorHandler(err);
            });
        }
    };
    RedemptionPage.prototype.transact = function (xhr, confirmationMessage) {
        var _this = this;
        var payNowModal = this.modal.create(__WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__["a" /* ConfirmModal */], {
            message: confirmationMessage,
            buttons: [{ type: "button", text: "CANCEL", onClick: 'cancel' },
                { type: "xhr", text: "PROCEED", onClick: this.service.redeem(this.amount || this.selected.amount, this.selected.code, this.min) }],
            cssClass: 'pay-now-modal'
        }, { enableBackdropDismiss: false,
            showBackdrop: true
        });
        payNowModal.onDidDismiss(function (response) {
            if (response.isSuccessful) {
                var successMessage = _this.alert.create({
                    message: "<div text-center>Payment Successful</div>\n\t\t        \t\t<br/>\n\t\t        \t\t<p text-center>Paying can be rewarding. Please continue to pay on time for more points.</p>",
                    buttons: ["OK"]
                });
                successMessage.present();
                successMessage.onDidDismiss(function (reponse) {
                    xhr.dismissLoading();
                    _this.returnToRewards();
                });
            }
            else if (!response.isSuccessful && response.message) {
                xhr.dismissLoading();
                _this.errorHandler(response);
            }
            else {
                xhr.dismissLoading();
            }
        });
        payNowModal.present();
    };
    RedemptionPage.prototype.returnToRewards = function () {
        var navStock = this.nav.getViews();
        if (navStock[navStock.length - 2].component.name === "RedemptionSelectionPage") {
            var rewardsPage = navStock[navStock.length - 3];
            if (rewardsPage && rewardsPage.component.name === "RewardsPage") {
                rewardsPage.instance.initRewards();
            }
            this.nav.remove(navStock.length - 2, 2);
        }
        else {
            var rewardsPage = navStock[navStock.length - 2];
            if (rewardsPage && rewardsPage.component.name === "RewardsPage") {
                rewardsPage.instance.initRewards();
            }
            this.nav.pop();
        }
    };
    RedemptionPage.prototype.hasError = function () {
        switch (this.mode) {
            case this.modes.BILL_REBATES:
                if (this.amount > (this.currentRewardsCard.awardedPoints - this.currentRewardsCard.burnedPoints) || this.amount < 0) {
                    this.amountError = "Please enter a valid amount";
                    return true;
                }
                else {
                    this.amountError = '';
                    return false;
                }
            case this.modes.PASALOAD:
                var hasError = false;
                if (!__WEBPACK_IMPORTED_MODULE_5__config_config_properties__["a" /* config */].regex.mobilenumber.test(this.min)) {
                    this.minError = "Please enter a valid number";
                    hasError = true;
                }
                else {
                    this.minError = "";
                }
                if (!this.selected) {
                    this.amountError = "Please select a value";
                    hasError = true;
                }
                else {
                    this.amountError = "";
                }
                return hasError;
        }
    };
    RedemptionPage.prototype.errorHandler = function (error) {
        var message = error.message || __WEBPACK_IMPORTED_MODULE_5__config_config_properties__["a" /* config */].ERROR_MESSAGE.GENERIC_ERROR;
        var alert = this.alert.create({
            subTitle: message,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    RedemptionPage.prototype.ivrsRedirect = function (xhr) {
        var _this = this;
        var confirmModal = this.modal.create(__WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__["a" /* ConfirmModal */], {
            message: 'To proceed with this transaction, please verify your account via your registered landline',
            inputs: [{ name: 'accountNo', type: 'number', value: this.storage.account.accountNo, placeholder: '', isVisible: false }],
            buttons: [{ type: 'button', text: 'CANCEL', onClick: 'cancel' },
                { type: 'xhr', text: 'VERIFY', onClick: 'resendIVRS', onSuccess: 'confirmIVRS' }],
            observable: '',
            observableError: ''
        }, { showBackdrop: true,
            enableBackdropDismiss: false });
        confirmModal.present();
        confirmModal.onDidDismiss(function (result) {
            if (result && result.isSuccessful) {
                var alert_1 = _this.alert.create({
                    subTitle: "<b>We've sent you an email!</b><br/><br/> Please call express hotline number 101012 using your registered PLDT landline and key in the 6-digit code sent to your email <b>" + _this.storage.ssoProfile.email + "</b>",
                    buttons: [{ text: 'OK', handler: function () {
                                alert_1.dismiss();
                            } }],
                    enableBackdropDismiss: false
                });
                alert_1.present();
                alert_1.onDidDismiss(function () {
                    xhr.dismissLoading();
                    _this.nav.pop();
                });
            }
            else {
                xhr.dismissLoading();
            }
        });
    };
    return RedemptionPage;
}());
RedemptionPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'redemption-page',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/rewards/redemption/redemption.html"*/'<ion-header>\n	<ion-navbar color="primary">\n		<ion-title>\n			Home Rewards\n		</ion-title>\n	</ion-navbar>\n</ion-header>\n<ion-content>\n	<div class="image-container">\n		<img src="assets/headers/rewards.jpg">\n	</div>\n	<ion-card *ngIf="mode === modes.BILL_REBATES">\n		<ion-card-header>\n			Bill Rebates\n		</ion-card-header>\n		<ion-card-content>\n			<ion-label>Bills Payment for PLDT Account {{account.accountNo}}</ion-label>\n			<ion-label>Total Available Points: <b>{{currentRewardsCard?.awardedPoints - currentRewardsCard.burnedPoints}}</b>\n			</ion-label>\n			<ion-label class="form-label">Enter Amount</ion-label>\n			<ion-item round class="form-group">\n				<ion-input class="form-control" type="number" [(ngModel)]="amount" onkeydown="if(event.key.match(/[.]/)) return false; else return true;"></ion-input>\n			</ion-item>\n			<ion-label class="invalid">{{amountError}}</ion-label>\n			<div text-center>\n				<xhr-button2 large round color="primary" [disabled]="!amount" (xhrClick)="payNow($event)">PAY NOW</xhr-button2>\n			</div>\n		</ion-card-content>\n	</ion-card>\n	<ion-card *ngIf="mode === modes.PASALOAD">\n		<ion-card-header>\n			SMART Pasaload\n		</ion-card-header>\n		<ion-card-content>\n			<ion-label class="form-label">Enter Recipient\'s Number</ion-label>\n			<ion-item round class="form-group">\n				<ion-input class="form-control" type="tel" maxlength="11" [(ngModel)]="min"></ion-input>\n			</ion-item>\n			<ion-label class="invalid">{{minError}}</ion-label>\n			<br>\n			<ion-label class="form-label">Enter Amount</ion-label>\n			<ion-item round class="form-group">\n				<ion-select class="form-control" type="number" [(ngModel)]="selected">\n					<ion-option *ngFor="let item of currentRedeemable" [value]="item">{{item.amount}}</ion-option>\n				</ion-select>\n			</ion-item>\n			<ion-label class="invalid">{{amountError}}</ion-label>\n			<br/>\n			<div text-center>\n				<xhr-button2 large round color="primary" [disabled]="!selected || !min" (xhrClick)="payNow($event)">PAY NOW</xhr-button2>\n			</div>\n		</ion-card-content>\n	</ion-card>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/rewards/redemption/redemption.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_4__redemption_service__["a" /* RedemptionService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["m" /* ModalController */],
        __WEBPACK_IMPORTED_MODULE_4__redemption_service__["a" /* RedemptionService */],
        __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["n" /* ViewController */],
        __WEBPACK_IMPORTED_MODULE_6__account_link_account_service__["a" /* AccountService */]])
], RedemptionPage);

//# sourceMappingURL=redemption.page.js.map

/***/ }),

/***/ 767:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_http_service__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__config_config_properties__ = __webpack_require__(21);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RedemptionService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var RedemptionService = (function () {
    function RedemptionService(storage, http) {
        this.storage = storage;
        this.http = http;
    }
    RedemptionService.prototype.redeem = function (points, serviceCode, remarks) {
        var parameter = {
            serviceCode: serviceCode,
            accountNo: this.storage.account.accountNo,
            remarks: remarks || '',
            points: points
        };
        return this.http.post(__WEBPACK_IMPORTED_MODULE_3__config_config_properties__["a" /* config */].api.account.redemption, parameter);
    };
    return RedemptionService;
}());
RedemptionService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_2__utilities_http_service__["a" /* HttpService */]])
], RedemptionService);

//# sourceMappingURL=redemption.service.js.map

/***/ })

});
//# sourceMappingURL=20.main.js.map