webpackJsonp([25],{

/***/ 639:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__entertainment_packages__ = __webpack_require__(726);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EntertainmentPackagesPageModule", function() { return EntertainmentPackagesPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var EntertainmentPackagesPageModule = (function () {
    function EntertainmentPackagesPageModule() {
    }
    return EntertainmentPackagesPageModule;
}());
EntertainmentPackagesPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__entertainment_packages__["a" /* EntertainmentPackagesPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__entertainment_packages__["a" /* EntertainmentPackagesPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__entertainment_packages__["a" /* EntertainmentPackagesPage */]]
    })
], EntertainmentPackagesPageModule);

//# sourceMappingURL=entertainment-packages.module.js.map

/***/ }),

/***/ 725:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_http_service__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__account_link_account_service__ = __webpack_require__(13);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EntertainmentPackagesService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var EntertainmentPackagesService = (function () {
    function EntertainmentPackagesService(http, storage, accountService) {
        this.http = http;
        this.storage = storage;
        this.accountService = accountService;
        this.homePlayerHistory = [];
        this.iflixHistory = [];
        this.voucherHistory = [];
        this.config = http.getConfig();
    }
    EntertainmentPackagesService.prototype.getHomePlayerHistory = function () {
        var accountNo = this.storage.account.accountNo, msaId = this.storage.login.msaId;
        var params = "/" + msaId + "/" + this.storage.account.accountNo;
        return this.updateHomePlayer(this.http.get(this.config.api.vas.homePlayerHistory + params));
    };
    EntertainmentPackagesService.prototype.updateHomePlayer = function (observable) {
        var _this = this;
        var accountNo = this.storage.account.accountNo;
        var params = "/" + this.storage.account.accountNo;
        return observable.flatMap(function (response) {
            if (response.isSuccessful) {
                _this.homePlayerHistory = response.result;
            }
            var accountNo = _this.storage.account.accountNo;
            var params = "/" + accountNo;
            return _this.getIflixHistory(_this.http.get(_this.config.api.vas.iflixHistory + params));
        });
    };
    EntertainmentPackagesService.prototype.getIflixHistory = function (observable) {
        var _this = this;
        return observable.flatMap(function (response) {
            if (response.isSuccessful) {
                _this.iflixHistory = response.result.iFlixHistoryList || response.result;
            }
            var accountNo = _this.storage.account.accountNo, msaId = _this.storage.login.msaId;
            var params = "/" + msaId + "/" + _this.storage.account.accountNo;
            return (_this.http.get(_this.config.api.vas.voucherHistory + params));
        });
    };
    EntertainmentPackagesService.prototype.retrieveIflixHistory = function () {
        console.warn("this.iflixHistory \n", this.iflixHistory);
        return this.iflixHistory;
    };
    EntertainmentPackagesService.prototype.retrieveHomePlayerHistory = function () {
        console.warn("this.homePlayerHistory \n", this.homePlayerHistory);
        return this.homePlayerHistory;
    };
    return EntertainmentPackagesService;
}());
EntertainmentPackagesService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__utilities_http_service__["a" /* HttpService */],
        __WEBPACK_IMPORTED_MODULE_1__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_3__account_link_account_service__["a" /* AccountService */]])
], EntertainmentPackagesService);

//# sourceMappingURL=entertainment-packages.service.js.map

/***/ }),

/***/ 726:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__entertainment_packages_service__ = __webpack_require__(725);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_configuration_service__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__account_link_account_service__ = __webpack_require__(13);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EntertainmentPackagesPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var EntertainmentPackagesPage = (function () {
    function EntertainmentPackagesPage(nav, entertainmentService, alert, config, analytics, accountService) {
        var _this = this;
        this.nav = nav;
        this.entertainmentService = entertainmentService;
        this.alert = alert;
        this.config = config;
        this.analytics = analytics;
        this.accountService = accountService;
        this.isLoading = true;
        entertainmentService.getHomePlayerHistory().subscribe(function (response) {
            if (response && response.isSuccessful) {
                _this.steamPackages = response.result.filter(function (history) { return history.clientName === 'Steam'; });
                _this.spinnrPackages = response.result.filter(function (history) { return history.clientName === 'spinnr'; });
                _this.netflixPackages = response.result.filter(function (history) { return history.clientName === 'netflix'; });
                _this.iwantTvPackages = response.result.filter(function (history) { return history.clientName === 'iwanttv'; });
                _this.accountManagementPackages = response.result.filter(function (history) { return history.clientName === 'accountmanagement'; });
            }
        }, function (error) {
            _this.errorHandler(error);
        }, function () {
            _this.homePlayerPackages = entertainmentService.retrieveHomePlayerHistory();
            _this.iflixPackages = entertainmentService.retrieveIflixHistory();
            _this.isLoading = false;
        });
        //ANALYTICS
        this.analytics.trackEvent(__WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__["b" /* REPORT_PARAMS */].category.pageView, __WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__["b" /* REPORT_PARAMS */].pages.entertainmentPackages);
    }
    EntertainmentPackagesPage.prototype.back = function () {
        this.nav.pop();
    };
    EntertainmentPackagesPage.prototype.checkDetails = function () {
        this.nav.push('EntertainmentPackageDetailsPage', {});
    };
    // disneyPremium(){
    // 	this.nav.push(DisneyPremiumPage, {
    // 	});
    // }
    EntertainmentPackagesPage.prototype.gotoEntertainmentPackageDetailsPage = function (entertainmentPackage, name) {
        return this.nav.push('EntertainmentPackageDetailsPage', { entertainment: entertainmentPackage, clientName: name });
    };
    // gotoDisneyPremiumPage(): Promise<any> {
    // 	return this.nav.push(DisneyPremiumPage);
    // }
    EntertainmentPackagesPage.prototype.errorHandler = function (error) {
        var alert = this.alert.create({
            title: error.errorMessage || error.message || this.config.getConfig().ERROR_MESSAGE.GENERIC_ERROR,
            buttons: ['Dismiss']
        });
        alert.present();
    };
    EntertainmentPackagesPage.prototype.redirectToOnlineShop = function () {
        var _this = this;
        // this.accountService.redirectFromEntertainment.emit(true);
        this.nav.popToRoot().then(function () {
            _this.accountService.redirectFromEntertainment.emit(true);
        });
    };
    return EntertainmentPackagesPage;
}());
EntertainmentPackagesPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'entertainment-packages-page',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/entertainment-packages/entertainment-packages.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <button ion-button menuToggle>\n      <ion-icon class="custom-back-button" navPop (click)="back()"></ion-icon>\n    </button>\n    <ion-title>Entertainment Packages</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<div class="image-container">\n        <img src="assets/headers/entertainment-packages.jpg">\n        <!--<span class="banner-text-overlay">Home Rewards. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque ac ultrices nisl.</span>-->\n    </div>\n    \n    <ion-spinner name="dots" class="page-loading" *ngIf="isLoading"></ion-spinner>\n\n    <div class="align-center " \n    *ngIf="!isLoading && homePlayerPackages?.length <= 0 && iflixPackages?.length <= 0 &&\n    accountManagementPackages?.length <= 0 && steamPackages?.length <= 0 &&\nspinnrPackages?.length <= 0 && netflixPackages?.length <= 0 && iwantTvPackages?.length <= 0 "> \n    <p>Enjoy the ultimate entertainment experience through your HOME Broadband!</p>\n    <button class="button" color="primary" (click)="redirectToOnlineShop()" ion-button padding round> SUBSCRIBE NOW </button>\n</div>\n\n    <card-link-component *ngIf = "homePlayerPackages && homePlayerPackages.length > 0"\n        [title]="\'VIDEO ON-DEMAND SUBSCRIPTION\'"  [description]="\'View history of your Video On-Demand subscription\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(homePlayerPackages, \'homeplayer\')">\n    </card-link-component>	\n\n    <card-link-component *ngIf = "iflixPackages && iflixPackages.length > 0"\n        [title]="\'IFLIX SUBSCRIPTION\'"  [description]="\'View history of your iFlix subscriptions\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(iflixPackages, \'iflix\')">\n    </card-link-component>	\n\n    <card-link-component *ngIf = "accountManagementPackages && accountManagementPackages.length > 0"\n        [title]="\'ACCOUNT MANAGEMENT SUBSCRIPTION\'"  [description]="\'View history of your account purchases\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(accountManagementPackages, \'accountmanagement\')">\n    </card-link-component>	\n\n    <card-link-component *ngIf = "steamPackages && steamPackages.length > 0"\n        [title]="\'STEAM\'"  [description]="\'View history of your steam subscriptions\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(steamPackages, \'Steam\')">\n    </card-link-component>\n\n    <card-link-component *ngIf = "spinnrPackages && spinnrPackages.length > 0"\n        [title]="\'SPINNR\'"  [description]="\'View history of your spinnr subscriptions\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(spinnrPackages, \'spinnr\')">\n    </card-link-component>\n\n    <card-link-component *ngIf = "netflixPackages && netflixPackages.length > 0"\n        [title]="\'NETFLIX\'"  [description]="\'View history of your netflix subscriptions\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(netflixPackages,\'netflix\')">\n    </card-link-component>\n\n    <card-link-component *ngIf = "iwantTvPackages && iwantTvPackages.length > 0"\n        [title]="\'IWANTTV\'"  [description]="\'View history of your iwanttv subscriptions\'"\n        (onClick)="gotoEntertainmentPackageDetailsPage(iwantTvPackages, \'iwanttv\')">\n    </card-link-component>    \n	\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/entertainment-packages/entertainment-packages.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__entertainment_packages_service__["a" /* EntertainmentPackagesService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_2__entertainment_packages_service__["a" /* EntertainmentPackagesService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_configuration_service__["a" /* ConfigurationService */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__["a" /* AnalyticsService */],
        __WEBPACK_IMPORTED_MODULE_5__account_link_account_service__["a" /* AccountService */]])
], EntertainmentPackagesPage);

//# sourceMappingURL=entertainment-packages.js.map

/***/ })

});
//# sourceMappingURL=25.main.js.map