webpackJsonp([74],{

/***/ 626:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipe_pipe_module__ = __webpack_require__(481);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__bills_payment__ = __webpack_require__(710);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BillsPaymentPageModule", function() { return BillsPaymentPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var BillsPaymentPageModule = (function () {
    function BillsPaymentPageModule() {
    }
    return BillsPaymentPageModule;
}());
BillsPaymentPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_4__bills_payment__["a" /* BillsPaymentPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_4__bills_payment__["a" /* BillsPaymentPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */],
            __WEBPACK_IMPORTED_MODULE_3__pipe_pipe_module__["a" /* PipeModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_4__bills_payment__["a" /* BillsPaymentPage */]]
    })
], BillsPaymentPageModule);

//# sourceMappingURL=bills-payment.module.js.map

/***/ }),

/***/ 710:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__core_core_nav_controller__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_current_bill_current_bill_component__ = __webpack_require__(483);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__bills_payment_service__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__account_link_account_service__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__utilities_analytics_service__ = __webpack_require__(53);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BillsPaymentPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var BillsPaymentPage = (function () {
    function BillsPaymentPage(navCtrl, storage, coreNavCtrl, billsPaymentService, accountService, analytics) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.storage = storage;
        this.coreNavCtrl = coreNavCtrl;
        this.billsPaymentService = billsPaymentService;
        this.accountService = accountService;
        this.analytics = analytics;
        this.navCtrl = coreNavCtrl.getNav();
        this.initBillsPayment(this.storage.account);
        accountService.accountCleared.subscribe(function (response) {
            _this.initBillsPayment(response);
        });
        //ANALYTICS
        this.analytics.trackEvent(__WEBPACK_IMPORTED_MODULE_7__utilities_analytics_service__["b" /* REPORT_PARAMS */].category.pageView, __WEBPACK_IMPORTED_MODULE_7__utilities_analytics_service__["b" /* REPORT_PARAMS */].pages.billsPayment);
    }
    BillsPaymentPage.prototype.initBillsPayment = function (account) {
        this.accountNo = account.accountNo;
        this.accountType = account.accountType;
    };
    BillsPaymentPage.prototype.gotoPaperlessBilling = function () {
        this.navCtrl.push('PaperlessBillingComponent');
    };
    BillsPaymentPage.prototype.openBillsNotif = function () {
        this.navCtrl.push('BillNotificationPage');
    };
    BillsPaymentPage.prototype.ngOnInit = function () {
        this.lastUpdated = new Date();
    };
    BillsPaymentPage.prototype.onUpdate = function (val) {
        this.lastUpdated = val;
    };
    BillsPaymentPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.currentBillComponent.getBillingBalanceForce();
        setTimeout(function () {
            _this.currentBillComponent.balanceRefresh.subscribe(function () {
                refresher.complete();
            });
        }, 1000);
    };
    BillsPaymentPage.prototype.isDisconnected = function () {
        return this.accountService.getEligibilityForTransactions();
    };
    BillsPaymentPage.prototype.displayPayment = function () {
        return this.storage.account.almMemberTypeId !== '13';
    };
    return BillsPaymentPage;
}());
__decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_4__components_current_bill_current_bill_component__["a" /* CurrentBillComponent */]),
    __metadata("design:type", Object)
], BillsPaymentPage.prototype, "currentBillComponent", void 0);
BillsPaymentPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'bills-payment-page',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/bills-payment/bills-payment.html"*/'<ion-content *ngIf="accountNo === null">\n  <div  class="full-height flex flex-v-center flex-h-center">\n    <no-linked-account-component></no-linked-account-component>\n  </div>\n</ion-content>\n\n  <ion-content *ngIf="isDisconnected() && accountNo !== null">\n    <div  class="full-height flex flex-v-center flex-h-center">\n      <disconnected-account-component></disconnected-account-component>\n    </div>\n  </ion-content>\n\n<ion-content *ngIf= "accountNo !== null && !isDisconnected()">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content></ion-refresher-content>\n  </ion-refresher>\n  \n  <div class="image-container">\n        <img src="assets/headers/bills-and-payment.jpg">\n        <span class="banner-text-overlay right">Settle your bills conveniently using your credit and debit card!</span>\n  </div>\n  <div class="current-bill-header">\n    <ion-icon name="icon-CurrentBill"></ion-icon>\n		<span>\n			<div class="h1">Current Bill </div>\n      <div class="d2">Last Updated: {{ lastUpdated | customdate: \'MMM DD, YYYY hh:mm A\'}}</div>\n		</span>\n	</div>\n\n  <current-bill-component (onUpdate)="onUpdate($event)"></current-bill-component>\n\n  <ion-list class="nav-list">\n        <ion-item *ngIf="accountType !== \'wireless\' && displayPayment()" detail-push (click)="gotoPaperlessBilling()">\n            Paperless Billing\n        </ion-item>\n        <ion-item *ngIf="accountType !== \'wireless\' && displayPayment()" detail-push (click)="openBillsNotif()">\n            Bill Notifications\n        </ion-item>\n  </ion-list>\n\n</ion-content>\n'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/bills-payment/bills-payment.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_2__core_core_nav_controller__["a" /* CoreNavController */],
        __WEBPACK_IMPORTED_MODULE_5__bills_payment_service__["a" /* BillsPaymentService */],
        __WEBPACK_IMPORTED_MODULE_6__account_link_account_service__["a" /* AccountService */],
        __WEBPACK_IMPORTED_MODULE_7__utilities_analytics_service__["a" /* AnalyticsService */]])
], BillsPaymentPage);

/*

 "Code": "0",
  "Message": "Successful",
  "AccountCategory": "RBG",
  "AccountNo": "0003856917",
  "Birthdate": "/Date(-337248000000+0800)/",
  "ContactNo": "09434888444",
  "CurrentBalance": 1378.37,
  "CurrentCharges": 1390.64,
  "CustName": "CALUAG,MYRNA",
  "DueDate": "12/14/2012",
  "InvoiceNo": 161729432,
  "LastBillDate": "/Date(1353427200000+0800)/",
  "PaymentAmount": 1440,
  "PaymentDate": "11/16/2012",
  "PreviousBalance": 0,
  "TypeOfID": "NULL|NULL",
  "Unbilled": 0*/ 
//# sourceMappingURL=bills-payment.js.map

/***/ })

});
//# sourceMappingURL=74.main.js.map