webpackJsonp([76],{

/***/ 624:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__account_owned__ = __webpack_require__(708);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccountOwnedPageModule", function() { return AccountOwnedPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var AccountOwnedPageModule = (function () {
    function AccountOwnedPageModule() {
    }
    return AccountOwnedPageModule;
}());
AccountOwnedPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__account_owned__["a" /* AccountOwnedPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__account_owned__["a" /* AccountOwnedPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__account_owned__["a" /* AccountOwnedPage */]]
    })
], AccountOwnedPageModule);

//# sourceMappingURL=account-owned.module.js.map

/***/ }),

/***/ 708:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__core_core__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__account_service__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__contact_us_contact_us_service__ = __webpack_require__(130);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__utilities_configuration_service__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__utilities_storage_service__ = __webpack_require__(7);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountOwnedPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//page

//service




var AccountOwnedPage = (function () {
    function AccountOwnedPage(app, nav, navParams, accountService, alert, contacts, config, storage) {
        var _this = this;
        this.app = app;
        this.nav = nav;
        this.navParams = navParams;
        this.accountService = accountService;
        this.alert = alert;
        this.contacts = contacts;
        this.config = config;
        this.storage = storage;
        this.ifShowContact = false;
        this.contactLink = 'Show';
        this.valid = true;
        console.log(this.accountService.getName());
        this.requestForm = { name: this.accountService.getName(),
            emailAddress: this.accountService.getEmail(),
            contactNo: this.storage.ssoProfile.contactNo || '',
            message: '' };
        contacts.getContactList().subscribe(function (response) {
            _this.contactList = response;
            console.log(response);
        });
    }
    AccountOwnedPage.prototype.errorHandler = function (error) {
        var alert = this.alert.create({
            title: error.errorMessage || error,
            buttons: ['Dismiss']
        });
        alert.present();
    };
    AccountOwnedPage.prototype.submit = function (event) {
        var _this = this;
        if (this.requestForm.contactNo) {
            var numberPattern = this.config.getConfig().regex.number;
            var validatePattern = numberPattern.test(this.requestForm.contactNo);
            this.errorMessage = "";
            this.valid = true;
            if (!validatePattern) {
                //details.errorMessage = ${details.name} contains invalid characters.;
                this.errorMessage = "Contact number contains invalid characters!";
                this.valid = false;
                event.dismissLoading();
            }
            if (validatePattern && this.valid) {
                var mobileNumberPattern = this.config.getConfig().regex.mobilenumber;
                if (!mobileNumberPattern.test(this.requestForm.contactNo)) {
                    //details.errorMessage = ${details.name} invalid format.;
                    this.errorMessage = "Invalid mobile number format!";
                    this.valid = false;
                    event.dismissLoading();
                }
                else {
                    this.accountService.memberRequest(this.navParams.data.accountNo, this.requestForm.contactNo, this.requestForm.message)
                        .subscribe(function (response) {
                        _this.goToHome(response);
                        event.dismissLoading();
                    }, function (err) {
                        _this.errorHandler(err);
                        event.dismissLoading();
                    });
                }
            }
        }
        ///////////////
        // this.accountService.memberRequest(this.navParams.data.accountNo,
        // 	this.requestForm.contactNo,
        // 	this.requestForm.message)
        // 	.subscribe(response => {
        // 		this.goToHome(response);
        // 		event.dismissLoading();
        // 	}, err =>{
        // 		this.errorHandler(err);
        // 		event.dismissLoading();
        // 	});
    };
    AccountOwnedPage.prototype.goToHome = function (response) {
        var _this = this;
        if (response.isSuccessful) {
            var alert_1 = this.alert.create({
                message: "Member request has been sent!",
                buttons: [{
                        text: 'OK',
                        role: 'okay',
                        handler: function () {
                            if (_this.accountService.getSubs()) {
                                _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_2__core_core__["a" /* CorePage */]);
                            }
                            else {
                                _this.accountService.updateSubscriptions();
                                _this.nav.popToRoot();
                            }
                        }
                    }]
            });
            alert_1.present();
        }
        else {
            this.errorHandler(response.message);
        }
    };
    AccountOwnedPage.prototype.cancelRequest = function () {
        var _this = this;
        var alert = this.alert.create({
            message: "Are you sure you want to cancel your account linking?",
            buttons: [
                {
                    text: 'NO',
                    cssClass: 'custom-outline',
                    role: 'cancel'
                }, {
                    text: 'YES',
                    role: 'okay',
                    handler: function () {
                        if (_this.accountService.getSubs()) {
                            _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_2__core_core__["a" /* CorePage */]);
                        }
                        else {
                            _this.nav.popToRoot();
                        }
                    }
                }
            ]
        });
        alert.present();
    };
    AccountOwnedPage.prototype.showHideContact = function () {
        this.ifShowContact = !this.ifShowContact;
        this.contactLink = this.ifShowContact ? 'Hide' : 'Show';
    };
    return AccountOwnedPage;
}());
AccountOwnedPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-account-owned',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/account-link/owned/account-owned.html"*/'<ion-header>\n  <ion-navbar color="primary" >\n    <ion-title class = "logo-header">\n      <img src="assets/icon/logo/PLDT_logo.png">\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content padding>\n  <div class="form-group">\n    <span><h2><b>Hi {{requestForm.name}},</b></h2></span>\n    <p align-center>It seems that the account you are trying  to link is already owned by an existing user. You may send a request to the account owner to add you as an account member.</p>\n\n    <form class="register-form" #form="ngForm" >\n\n      <div class="form-group">\n        Name\n        <ion-item class="underline has-error" round>\n          <ion-input type="text" name="name" [(ngModel)]="requestForm.name" disabled></ion-input>\n        </ion-item>\n      </div>\n      <div class="form-group">\n        Email Address\n        <ion-item class="underline has-error" round>\n          <ion-input type="email" name="email" [(ngModel)]="requestForm.emailAddress" disabled></ion-input>\n        </ion-item>\n      </div>\n      <div class="form-group">\n        Contact No.*\n        <ion-item round>\n          <ion-input type="tel" minlength="11" maxlength="11" name="contactNo" [(ngModel)]="requestForm.contactNo" placeholder="09XXXXXXXXX" required></ion-input>\n        </ion-item>\n        <ion-label class="invalid" *ngIf="!valid">&nbsp;&nbsp;{{errorMessage}}</ion-label>\n      </div>\n      \n\n      <div class="form-group">\n          Would you like to leave a message?\n          <ion-item class="underline has-error" round>\n            <ion-textarea type="text" name="text" [(ngModel)]="requestForm.message" required></ion-textarea>\n          </ion-item>\n      </div>\n      <div class="small-text">\n        The information above will be sent to the account owner.<br/><br/>\n        For further assistance, you may contact any of the following hotlines. <a (click)="showHideContact()">{{contactLink}}</a><br/><br/>\n      </div>\n      <ion-col class="contactus" *ngIf="ifShowContact">\n        <div *ngFor="let contact of contactList">\n          <div class="contact-header">{{contact.header}}</div>\n          <div *ngIf="contact.contactDetails != undefined"class="details-indent">\n            <div *ngFor="let details of contact.contactDetails">\n              <div class="contact-details">\n                &#x02022;&nbsp;&nbsp;<a href="tel:{{details.contactNumber}}">{{details.contactDisplay}}</a> {{details.description}}\n              </div>\n            </div>\n          </div>\n        </div>\n      </ion-col><br>\n\n      <div class="modal-button-group flex flex-h-center">\n          <div class="modal-button">\n            <button ion-button round outline type="button" (click)="cancelRequest()">CANCEL</button></div>\n            <div class="modal-button">\n            <xhr-button2 #xhr color="primary" round\n              [disabled]="form.invalid"\n              (xhrClick)="submit($event)"\n              >\n              SEND\n            </xhr-button2>\n          </div>\n      </div>\n		</form>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/account-link/owned/account-owned.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_4__contact_us_contact_us_service__["a" /* ContactUsService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* App */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_3__account_service__["a" /* AccountService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_4__contact_us_contact_us_service__["a" /* ContactUsService */],
        __WEBPACK_IMPORTED_MODULE_5__utilities_configuration_service__["a" /* ConfigurationService */],
        __WEBPACK_IMPORTED_MODULE_6__utilities_storage_service__["a" /* Storage */]])
], AccountOwnedPage);

//# sourceMappingURL=account-owned.js.map

/***/ })

});
//# sourceMappingURL=76.main.js.map