webpackJsonp([78],{

/***/ 622:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__account_link__ = __webpack_require__(706);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccountLinkPageModule", function() { return AccountLinkPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var AccountLinkPageModule = (function () {
    function AccountLinkPageModule() {
    }
    return AccountLinkPageModule;
}());
AccountLinkPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__account_link__["a" /* AccountLinkPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__account_link__["a" /* AccountLinkPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__account_link__["a" /* AccountLinkPage */]]
    })
], AccountLinkPageModule);

//# sourceMappingURL=account-link.module.js.map

/***/ }),

/***/ 706:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__verification_account_verification__ = __webpack_require__(487);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__core_core__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__account_service__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__utilities_storage_service__ = __webpack_require__(7);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountLinkPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//pages


//services


var AccountLinkPage = (function () {
    function AccountLinkPage(app, nav, navParams, accountService, alert, storage) {
        this.app = app;
        this.nav = nav;
        this.navParams = navParams;
        this.accountService = accountService;
        this.alert = alert;
        this.storage = storage;
        this.accountNo = '';
        this.corePage = __WEBPACK_IMPORTED_MODULE_3__core_core__["a" /* CorePage */];
        this.accountBillInformation = 'AccountBillInformationPage';
        this.subscription = this.navParams.data.accountModal;
        this.noLink = this.navParams.data.noLinkAccount || false;
    }
    AccountLinkPage.prototype.proceed = function (event) {
        var _this = this;
        this.message = '';
        // this.doAccount$ = 
        var accDuplicate = this.storage.subscriptions.find(function (account) { return (account.accountNo === _this.deleteFirstChar(_this.accountNo) && account.isValidated === true); });
        console.log(accDuplicate);
        if (accDuplicate === undefined) {
            this.accountService.requestAccountLinking(this.deleteFirstChar(this.accountNo))
                .subscribe(function (response) {
                _this.goToVerification(response);
                event.dismissLoading();
            }, function (err) {
                _this.errorHandler(err);
                event.dismissLoading();
            });
        }
        else {
            this.errorHandler('Account already linked!');
            event.dismissLoading();
        }
    };
    AccountLinkPage.prototype.goToVerification = function (response) {
        var _this = this;
        if (response.isSuccessful) {
            // this.accountService.requestIVRS(this.accountNo).subscribe(result => {
            if (!response.result.ivr.isSuccessful) {
                this.noIVRS = true;
            }
            else {
                this.noIVRS = false;
            }
            if (response.result.otp.isSuccessful) {
                this.nav.push(__WEBPACK_IMPORTED_MODULE_2__verification_account_verification__["a" /* AccountVerificationPage */], { accountNo: this.accountNo,
                    otpAccountNo: response.result.otp.accountNo,
                    inputNumber: response.result.otp.contactNo,
                    mobileRegKey: response.result.otp.mobileRegKey,
                    noIVRS: this.noIVRS,
                    landLine: response.result.ivr.landline,
                    subscription: this.subscription,
                    otp: true });
            }
            else {
                if (response.result.otp.message === "Conflict: Account number already exists.") {
                    if (response.result.otp.accountNo !== null) {
                        var accDuplicate = this.storage.subscriptions.find(function (account) { return (account.accountNo === _this.deleteFirstChar(response.result.otp.accountNo) && account.isValidated === true); });
                        console.log(accDuplicate);
                        if (accDuplicate !== undefined) {
                            this.errorHandler('Account already linked!');
                        }
                        else {
                            this.nav.push('AccountOwnedPage', { accountNo: response.result.otp.accountNo || this.accountNo });
                        }
                    }
                }
                else if (response.result.otp.message == 'Not_Acceptable_Wireless: Account has an invalid contact mobile no.') {
                    this.errorHandler("A verification code will be sent to your registered mobile number. However, it seems that we don't have your mobile number in our records. Kindly call hotline *1888to update your contact details and try again. Please be advised hat this shouldbe done by the subscriber on the record.");
                }
                else {
                    if (response.result.ivr.isSuccessful) {
                        this.nav.push(__WEBPACK_IMPORTED_MODULE_2__verification_account_verification__["a" /* AccountVerificationPage */], { accountNo: this.accountNo,
                            noIVRS: this.noIVRS,
                            landLine: response.result.ivr.landline,
                            subscription: this.subscription,
                            otp: false });
                    }
                    else {
                        this.errorHandler(response.message || response.result.ivr.message || response.result.otp.message);
                    }
                }
            }
            // },
            // error => this.errorHandler(error));
        }
        else {
            //this.message = response.result.ivr.message || response.result.otp.message;
            //this.errorHandler(response.result.ivr.message || response.result.otp.message);
            if (response.result.otp.message === "Conflict: Account number already exists." || response.result.ivr.message === "Conflict: Account number already exists.") {
                if (response.result.otp.accountNo !== null) {
                    var accDuplicate = this.storage.subscriptions.find(function (account) { return (account.accountNo === _this.deleteFirstChar(response.result.otp.accountNo) && account.isValidated === true); });
                    if (accDuplicate !== undefined) {
                        this.errorHandler('Account already linked!');
                    }
                    else {
                        this.nav.push('AccountOwnedPage', { accountNo: response.result.otp.accountNo || this.accountNo });
                    }
                }
                //this.nav.push(AccountOwnedPage, {accountNo: response.result.otp.accountNo || this.accountNo});
            }
            else if (response.result.otp.message == 'Not_Acceptable_Wireless: Account has an invalid contact mobile no.') {
                this.errorHandler("A verification code will be sent to your registered mobile number. However, it seems that we don't have your mobile number in our records. Kindly call hotline *1888 to update your contact details and try again. Please be advised that this should be done by the subscriber on the record.");
            }
            else {
                this.errorHandler(response.message || response.result.ivr.message || response.result.otp.message);
            }
        }
    };
    AccountLinkPage.prototype.errorHandler = function (error) {
        var message = error.errorMessage || error;
        var alert = this.alert.create({
            message: message.replace('Bad_Request: ', ''),
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    AccountLinkPage.prototype.skip = function () {
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_3__core_core__["a" /* CorePage */]);
    };
    AccountLinkPage.prototype.requestIVRS = function () {
        var _this = this;
        this.accountService.requestIVRS(this.navParams.data.accountNo).subscribe(function (response) {
            if (!response.isSuccessful) {
                return _this.noIVRS = true;
            }
            else {
                return _this.noIVRS = false;
            }
        }, function (error) { return _this.errorHandler(error); });
    };
    AccountLinkPage.prototype.deleteFirstChar = function (string) {
        if (!string) {
            return string;
        }
        var str = string;
        return str.charAt(0) === '0' ? str.substr(1) : str;
    };
    return AccountLinkPage;
}());
AccountLinkPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-account-link',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/account-link/account-link.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title class = "logo-header">\n      <img src="assets/icon/logo/PLDT_logo.png">\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content>\n	<form class="login-form" #form="ngForm" (ngSubmit)="proceed(xhr)">\n		<ion-list>\n			<ion-item>\n				<ion-label class="align-center header">Link your account</ion-label>\n			</ion-item><br/>\n			<ion-item class="align-center">\n\n				<p *ngIf="subscription === undefined && noLink === false">Oops, it seems like you have no linked accounts yet.<br/>\n				Link your account now.</p><br/>\n\n				<p>Input your Account No. or Service Reference No.<br/>\n				(for HOME Ultera Subscribers)</p><br/>\n			</ion-item>\n			<ion-item class="underline">\n				<ion-icon name="ios-person-outline" item-left></ion-icon>\n				<ion-input type="tel" maxlength="11" placeholder="Account or Service Reference No." name="accountNo" [(ngModel)]="accountNo" required></ion-input>\n			</ion-item>\n			<!--<ion-row>\n				<ion-label *ngIf="message !== undefined || \'\'" class="invalid">{{ message }}</ion-label>\n			</ion-row>-->\n\n			<div class="button-item center">\n				<br>\n				<xhr-button2 #xhr color="primary" round\n					[disabled]="form.invalid"\n					>SUBMIT</xhr-button2>\n			</div>\n			<ion-item class="align-center">\n				<a [navPush]="accountBillInformation">Where can I check my account number?</a>\n			</ion-item>\n			<ion-item class="align-center">\n				<p>myHome now allows you to manage multiple PLDT accounts. Enjoy the easy access to your Home accounts by linking them to myHome</p><br/>\n			</ion-item>			\n		</ion-list>\n	</form><br/><br/>\n	<ion-item>\n		<ion-label class="align-center" *ngIf="subscription === undefined && noLink === false" (click) = "skip()" >SKIP FOR NOW ></ion-label>\n	</ion-item>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/account-link/account-link.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* App */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_4__account_service__["a" /* AccountService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_5__utilities_storage_service__["a" /* Storage */]])
], AccountLinkPage);

//# sourceMappingURL=account-link.js.map

/***/ })

});
//# sourceMappingURL=78.main.js.map