webpackJsonp([15],{

/***/ 673:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__subscription_list__ = __webpack_require__(775);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SubscriptionListPageModule", function() { return SubscriptionListPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SubscriptionListPageModule = (function () {
    function SubscriptionListPageModule() {
    }
    return SubscriptionListPageModule;
}());
SubscriptionListPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__subscription_list__["a" /* SubscriptionListPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__subscription_list__["a" /* SubscriptionListPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__subscription_list__["a" /* SubscriptionListPage */]]
    })
], SubscriptionListPageModule);

//# sourceMappingURL=subscription-list.module.js.map

/***/ }),

/***/ 704:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PasaloadService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var PasaloadService = (function () {
    function PasaloadService(http) {
        this.http = http;
        this.config = this.http.getConfig();
    }
    PasaloadService.prototype.getRemainingCreditLimit = function (param) {
        var params = param.accountType + "/" +
            param.accountNo + "/" +
            param.channel;
        console.log("SERVICE: get remaining credit limit - params \n", params);
        return this.http.get(this.config.api.account.remainingCreditLimit + "/" + params);
    };
    PasaloadService.prototype.getServiceID = function (param) {
        var params = param.accountNo + "/" +
            param.brandType + "/" +
            param.channel;
        return this.http.get(this.config.api.account.usage + "/" + params);
    };
    PasaloadService.prototype.getHistory = function (serviceId) {
        console.log("serviceId \n", serviceId);
        return this.http.get(this.config.api.pasaload.history + "/" + serviceId);
    };
    PasaloadService.prototype.getSubscriptionList = function (param) {
        var params = param.MIN + "/" +
            param.Brand + "/" +
            param.PromoInfoID + "/" +
            param.PromoType + "/" +
            param.UregChannel + "/" +
            param.Channel;
        return this.http.get(this.config.api.pasaload.product + "/" + params);
    };
    PasaloadService.prototype.submitSubscription = function (payload) {
        return this.http.post(this.config.api.pasaload.purchase, {
            accountNo: payload.accountNo,
            // accountType:payload.accountType,
            channel: payload.channel,
            email: payload.email,
            firstName: payload.firstName,
            lastName: payload.lastName,
            min: payload.min,
            msaId: payload.msaId,
            productId: payload.productId,
            userId: payload.userId,
            productName: payload.productName
        });
    };
    PasaloadService.prototype.validateMin = function (min) {
        return this.http.get(this.config.api.pasaload.number + '/' + min + '/0');
    };
    return PasaloadService;
}());
PasaloadService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */]])
], PasaloadService);

//# sourceMappingURL=pasaload.service.js.map

/***/ }),

/***/ 775:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_configuration_service__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_common__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pasaload_service__ = __webpack_require__(704);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SubscriptionListPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var SubscriptionListPage = (function () {
    function SubscriptionListPage(navCtrl, navParams, alert, pasaloadService, storage, configuration, datePipe) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alert = alert;
        this.pasaloadService = pasaloadService;
        this.storage = storage;
        this.configuration = configuration;
        this.datePipe = datePipe;
        // this.min = "9993682263";
        // this.brand = "Prepaid TNT"
        console.warn("Nav Params \n", this.navParams);
        this.brand = this.navParams.data.result.brand;
        this.min = this.navParams.data.result.min;
        this.otherProducts = this.navParams.data.result.otherProduct;
        this.pasaloadOptions = this.navParams.data.result.onlyPasaload;
        this.account = this.storage.account;
        this.login = this.storage.login;
    }
    SubscriptionListPage.prototype.ngOnInit = function () {
        this.selectedPasaload = "";
        // this.getSubscriptionList();
        //preselect pasaload product
        // this.selectedPasaload = this.pasaloadOptions[0];
        // this.selectSubscription(this.pasaloadOptions[0],true)
        console.warn("selectedPasaload \n", this.selectedPasaload);
        console.warn("selectedProduct \n", this.selectedProduct);
    };
    SubscriptionListPage.prototype.viewTerms = function () {
        this.navCtrl.push('TermsAndConditionPage');
    };
    SubscriptionListPage.prototype.goToPasaload = function () {
        this.navCtrl.pop(this.navParams.data);
    };
    SubscriptionListPage.prototype.selectSubscription = function (product, isPasaload, index, event) {
        this.selectedProduct = product;
        console.warn("selectedProduct \n", this.selectedProduct);
        this.setActiveProduct(product, isPasaload);
    };
    SubscriptionListPage.prototype.selectPasaload = function (pasaload) {
        this.selectSubscription(this.selectedPasaload, true);
    };
    SubscriptionListPage.prototype.setActiveProduct = function (product, isPasaload) {
        if (!isPasaload) {
            this.selectedProduct = product;
            console.warn("selectedProduct not pasaload \n", this.selectedProduct);
        }
        else {
            this.selectedProduct = this.selectedPasaload;
            console.warn("selectedProduct is pasaload \n", this.selectedProduct);
        }
    };
    SubscriptionListPage.prototype.deleteFirstChar = function (string) {
        var str = string;
        return str.substr(1);
    };
    SubscriptionListPage.prototype.checkRemainingCredit = function () {
        var _this = this;
        var creditLimit, creditLimitResult, params = {
            accountType: this.account.accountType,
            accountNo: this.account.accountNo,
            channel: '1'
        };
        // let payload = { 
        //                 accountNo: this.account.accountNo, 
        //                 // accountType: this.account.accountType, 
        //                 channel: '1',//'this.configuration.getConfig().constants.mobileChannel',
        //                 email: this.login.profile.email,
        //                 firstName: this.login.profile.firstName,
        //                 lastName:this.login.profile.lastName,
        //                 min:this.deleteFirstChar(this.min),
        //                 msaId:this.login.msaId.toString(),
        //                 productId:this.selectedProduct.productId,
        //                 userId: this.login.profile.profileId.toString(),
        //                 productName:this.selectedProduct.productName
        // }
        //      this.submit$ =  this.pasaloadService.submitSubscription(payload)
        this.submit$ = this.pasaloadService.getRemainingCreditLimit(params).flatMap(function (response) {
            if (response.isSuccessful) {
                creditLimit = response.result;
                // creditLimit = 15000;
                creditLimitResult = creditLimit - _this.selectedProduct.productPrice;
                console.warn("this.selectedProduct.productPrice \n", _this.selectedProduct.productPrice);
                console.warn("credit limit \n", creditLimitResult);
                if (creditLimitResult >= 0) {
                    var payload = {
                        accountNo: _this.account.accountNo,
                        // accountType: this.account.accountType, 
                        channel: '1',
                        email: _this.login.profile.email,
                        firstName: _this.login.profile.firstName,
                        lastName: _this.login.profile.lastName,
                        min: _this.deleteFirstChar(_this.min),
                        msaId: _this.login.msaId.toString(),
                        productId: _this.selectedProduct.productId,
                        userId: _this.login.profile.profileId.toString()
                    };
                    return _this.pasaloadService.submitSubscription(payload);
                }
                else {
                    response.message = _this.configuration.getConfig().PASALOAD_MESSAGE.EXCEED_CREDIT_LIMIT;
                    return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].throw(response);
                }
            }
            else {
                _this.errorHandler(response);
            }
        });
    };
    SubscriptionListPage.prototype.successPasaload = function (response) {
        var _this = this;
        if (response.isSuccessful) {
            var date = new Date(), formattedDate = this.transformDate(date), refNo = response.serviceRefNo;
            var alert_1 = this.alert.create({
                message: "<div> \n                        <p> " + formattedDate + " </p>\n                        <p> You have successfully transferred <br />\n                        <b> " + this.selectedProduct.productName + " </b> to\n                        <b> " + this.min + " </b> </p>\n\n                        <p> You have been charged <br />\n                        PHP 1.00  for this transaction\n                        </p>\n\n                         <p> Ref: <b> " + refNo + " </b></p>\n                        \n                        </div>",
                buttons: [
                    {
                        text: 'OK',
                        handler: function (data) {
                            _this.navCtrl.popTo('PasaloadPage');
                        }
                    }
                ],
                enableBackdropDismiss: false
            });
            alert_1.present();
        }
        else {
            this.errorHandler(response);
        }
    };
    SubscriptionListPage.prototype.transformDate = function (date) {
        return this.datePipe.transform(date, 'MM/dd/yyyy hh:mm a');
    };
    SubscriptionListPage.prototype.errorHandler = function (error) {
        var message = error.message || error || "";
        if (message === '')
            message = this.configuration.getConfig().ERROR_MESSAGE.GENERIC_ERROR;
        var alert = this.alert.create({
            subTitle: message,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    return SubscriptionListPage;
}());
SubscriptionListPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-subscription-list',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/services/pasaload/subscription-list/subscription-list.html"*/'<ion-header>\n\n  <ion-navbar color="primary" navPop>\n    <ion-title >Subscription List</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n	<div>\n		<ion-card>\n			<ion-card-content>\n				<ion-row>\n					Recipient\'s Mobile Number\n				</ion-row>\n\n				<ion-row>\n					<ion-col width-80 >\n						<ion-item class="no-padding" >\n							<ion-input  minlength="10" maxlength="10" type="tel" placeholder="eg. 09XXXXXXXXX" [(ngModel)]=\'min\' disabled="true"></ion-input>\n						</ion-item>\n					</ion-col>\n					<ion-col width-20>\n						<div class="underline d2 btn-edit" (click)="goToPasaload()"> Edit </div>\n					</ion-col>\n				</ion-row>\n\n				<ion-row>\n					<ion-label class=\'success\'>Valid {{ brand }} Number</ion-label>\n				</ion-row>\n				\n			</ion-card-content>\n		</ion-card>\n	</div>\n\n\n\n	<div>\n		<ion-grid>\n\n			<ion-row>\n					<div class="h3 padding-default"> Select Subscription </div>\n			</ion-row>\n\n			<ion-card class="pasaload-container" [ngClass]="{\'item-active\': selectedProduct === selectedPasaload}"  (click)="selectPasaload(this)">\n				<ion-card-content>\n\n					<ion-row>\n<!-- 						<ion-col width-20>\n								<div class="custom-icon-cube circle">\n									<img src="assets/icon/others/Pasaload_Cube.svg" />\n								 </div>\n						</ion-col> -->\n\n						<ion-col width-100>\n\n						   <div class="h3"> Pasaload </div>\n\n							<ion-item>\n								  <ion-select class="options" placeholder="Select..." [(ngModel)]="selectedPasaload" [disabled]="selectedProduct !==  selectedPasaload" (ionChange)="selectSubscription(selectedPasaload,true)" >\n							\n								  <!-- <ion-select class="options" [(ngModel)]="selectedPasaload"  (ionChange)="selectSubscription(selectedPasaload,true)" > -->\n								    <ion-option *ngFor="let option of pasaloadOptions, let i= index" [value]="option"> PHP {{option.productPrice}} </ion-option>\n								  </ion-select>\n							</ion-item>\n\n							<div *ngIf="selectedPasaload" class="item-price">\n								PHP <span class="h3 item-price">{{selectedPasaload.productPrice}} </span> \n							</div>\n\n						</ion-col>\n					</ion-row>\n\n				</ion-card-content>\n			</ion-card>\n\n			<ion-list class="products-container">\n				<ion-card *ngFor="let product of otherProducts, let i = index"  [ngClass]="{\'item-active\': selectedProduct === product}"  (click)="selectSubscription(product, false,i,$event)">\n					<ion-card-content>\n\n						<ion-row>\n<!-- 							<ion-col width-20 class="flex flex-v-center flex-h-center">\n								<div class="custom-icon-cube circle">\n									<img src="assets/icon/others/Pasaload_Cube.svg" />\n								 </div>\n							</ion-col> -->\n							<ion-col width-100>\n								<div class="h3"> \n									{{ product.productName }}\n								</div>\n								<div>\n									{{ product.productDescription }}\n								</div>\n								<div class="item-price">\n									PHP <span class="h3 "> {{ product.productPrice }} </span>\n								</div>\n							</ion-col>\n						</ion-row>\n\n					</ion-card-content>\n				</ion-card>\n			 </ion-list> \n\n			<ion-row >\n				<ion-col padding class="center"> \n				<label >\n		            <ion-checkbox color="primary" class="align-vertical" [(ngModel)]="terms"  ></ion-checkbox>\n					 <span class="d3">  I agree to 	 <a (click)="viewTerms()" class="link-red strong" >	 Terms & Conditions </a>  </span>\n				</label>\n				</ion-col>\n			</ion-row>\n\n			<ion-row class="flex-center" >\n				<ion-col padding width-100 class="center"> \n\n				<!-- <button ion-button color="primary" (click)=""checkRemainingCredit2() round ion-button > SUBMIT </button> -->\n\n	<!-- 						<xhr-button color="primary" \n								(click)="submit()"\n								[disabled]="!terms"\n								[observable]="submit$"\n								(onSuccess)="successPasaload($event)"\n								(onError)="errorHandler($event)"\n								text="SUBMIT"></xhr-button> -->\n\n							<xhr-button color="primary" \n								(click)="checkRemainingCredit()"\n								[disabled]="!terms || !selectedProduct"\n								[observable]="submit$"\n								(onSuccess)="successPasaload($event)"\n								(onError)="errorHandler($event)"\n								text="SUBMIT"></xhr-button>\n\n								<!-- test alert for success -->\n								<!-- <button color="primary" (click)="testerAlert()" text="PROCEED">asdadasdas </button> -->\n\n				</ion-col>\n			</ion-row>\n\n\n		 </ion-grid>\n	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/services/pasaload/subscription-list/subscription-list.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_6__pasaload_service__["a" /* PasaloadService */], __WEBPACK_IMPORTED_MODULE_5__angular_common__["i" /* DatePipe */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_6__pasaload_service__["a" /* PasaloadService */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_configuration_service__["a" /* ConfigurationService */],
        __WEBPACK_IMPORTED_MODULE_5__angular_common__["i" /* DatePipe */]])
], SubscriptionListPage);

// submit(){
//      console.warn("selectedProduct \n", this.selectedProduct);
//      let payload = { 
//            accountNo: this.account.accountNo, 
//            // accountType: this.account.accountType, 
//            channel:"1", //static
//            email: this.login.profile.email,
//            firstName: this.login.profile.firstName,
//            lastName:this.login.profile.lastName,
//            min:this.deleteFirstChar(this.min),
//            msaId:this.login.msaId.toString(),
//            productId:this.selectedProduct.productId,
//            userId: this.login.profile.profileId.toString()
//      }
//      console.warn("submitted payload: \n",payload);
//      this.submit$ = this.pasaloadService.submitSubscription(payload)
//  }
//# sourceMappingURL=subscription-list.js.map

/***/ })

});
//# sourceMappingURL=15.main.js.map