webpackJsonp([17],{

/***/ 671:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__history__ = __webpack_require__(773);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HistoryPageModule", function() { return HistoryPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var HistoryPageModule = (function () {
    function HistoryPageModule() {
    }
    return HistoryPageModule;
}());
HistoryPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__history__["a" /* HistoryPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__history__["a" /* HistoryPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__history__["a" /* HistoryPage */]]
    })
], HistoryPageModule);

//# sourceMappingURL=history.module.js.map

/***/ }),

/***/ 704:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PasaloadService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var PasaloadService = (function () {
    function PasaloadService(http) {
        this.http = http;
        this.config = this.http.getConfig();
    }
    PasaloadService.prototype.getRemainingCreditLimit = function (param) {
        var params = param.accountType + "/" +
            param.accountNo + "/" +
            param.channel;
        console.log("SERVICE: get remaining credit limit - params \n", params);
        return this.http.get(this.config.api.account.remainingCreditLimit + "/" + params);
    };
    PasaloadService.prototype.getServiceID = function (param) {
        var params = param.accountNo + "/" +
            param.brandType + "/" +
            param.channel;
        return this.http.get(this.config.api.account.usage + "/" + params);
    };
    PasaloadService.prototype.getHistory = function (serviceId) {
        console.log("serviceId \n", serviceId);
        return this.http.get(this.config.api.pasaload.history + "/" + serviceId);
    };
    PasaloadService.prototype.getSubscriptionList = function (param) {
        var params = param.MIN + "/" +
            param.Brand + "/" +
            param.PromoInfoID + "/" +
            param.PromoType + "/" +
            param.UregChannel + "/" +
            param.Channel;
        return this.http.get(this.config.api.pasaload.product + "/" + params);
    };
    PasaloadService.prototype.submitSubscription = function (payload) {
        return this.http.post(this.config.api.pasaload.purchase, {
            accountNo: payload.accountNo,
            // accountType:payload.accountType,
            channel: payload.channel,
            email: payload.email,
            firstName: payload.firstName,
            lastName: payload.lastName,
            min: payload.min,
            msaId: payload.msaId,
            productId: payload.productId,
            userId: payload.userId,
            productName: payload.productName
        });
    };
    PasaloadService.prototype.validateMin = function (min) {
        return this.http.get(this.config.api.pasaload.number + '/' + min + '/0');
    };
    return PasaloadService;
}());
PasaloadService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */]])
], PasaloadService);

//# sourceMappingURL=pasaload.service.js.map

/***/ }),

/***/ 773:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pasaload_service__ = __webpack_require__(704);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_configuration_service__ = __webpack_require__(24);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HistoryPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


// services



var HistoryPage = (function () {
    function HistoryPage(storage, pasaloadService, alert, nav, configuration) {
        this.storage = storage;
        this.pasaloadService = pasaloadService;
        this.alert = alert;
        this.nav = nav;
        this.configuration = configuration;
        this.list = [];
        this.isLoading = false;
        var account = this.storage.account;
        this.accountNo = account.accountNo;
        this.srvcID = account.info.basePlan.externalId === '11' ?
            account.info.basePlan.serviceNumber : account.info.subPlans.find(function (item) {
            return item.externalId === '11';
        }).serviceNumber;
        console.warn("account Info \n", this.storage.account);
    }
    HistoryPage.prototype.getHistory = function (srvcID) {
        var _this = this;
        this.isLoading = true;
        this.pasaloadService.getHistory(srvcID)
            .subscribe(function (result) {
            if (result.isSuccessful) {
                console.log("getHistory -- success \n");
                _this.isLoading = false;
                if (result.result.length > 0) {
                    _this.list = result.result;
                }
                else {
                    console.log("list is blank --- \n");
                    _this.list = [];
                }
            }
            else {
                _this.errorHandler(result);
            }
        }, function (error) { return _this.errorHandler(error); });
    };
    HistoryPage.prototype.errorHandler = function (error) {
        var message = error.message || error.errorMessage || "";
        if (message === '')
            message = this.configuration.getConfig().ERROR_MESSAGE.GENERIC_ERROR;
        var alert = this.alert.create({
            subTitle: message,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    HistoryPage.prototype.ngOnInit = function () {
        this.getHistory(this.srvcID);
    };
    return HistoryPage;
}());
HistoryPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-history',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/services/pasaload/history/history.html"*/'<ion-header>\n \n  <ion-navbar color="primary">\n    <ion-title>Pasaload History</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <div class="image-container">\n        <img src="assets/headers/pasaload.jpg">\n        <span class="banner-text-overlay left">View all your PASALOAD transactions</span>\n    </div>\n\n	<div *ngIf="isLoading" class="align-center"> \n		<ion-spinner name="dots" color="dark"> </ion-spinner>\n	</div>\n	<div class="center msg" *ngIf="!isLoading && !list.length"> No transaction history available. </div>\n\n\n<ion-list class="list-container">\n		<ion-item *ngFor="let item of list" >  \n		<detail-card-component [itemDate]="item.date" [itemTime]="item.date" [isDivided]="true">\n\n		<ion-row>\n		<ion-col width-100>\n		<div class="wrapper-custom-callnum flex flex-v-center">	<ion-icon name="icon-Call_Phone"></ion-icon>  {{ item.srn }} </div>\n		</ion-col>\n		</ion-row>\n\n		<detail-card-item \n		    [itemTitle]="\'Price\'" \n		    [itemValue]="item.amount"  [itemUnit]="\'PHP\'" >\n		</detail-card-item >\n\n		<detail-card-item [itemTitle]="\'Reference Number \'" \n		    [itemValue]="item.referenceNumber">\n		</detail-card-item >\n\n		<detail-card-item \n		    [itemTitle]="\'Subscription Name\'" \n		    [itemValue]="item.title">\n		</detail-card-item >\n\n		<detail-card-item \n		    [itemTitle]="\'Channel\'" \n		    [itemValue]="item.channel">\n		</detail-card-item >\n\n\n		</detail-card-component>\n		</ion-item>\n	</ion-list>\n									\n\n\n\n</ion-content>\n'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/services/pasaload/history/history.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__pasaload_service__["a" /* PasaloadService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_2__pasaload_service__["a" /* PasaloadService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_configuration_service__["a" /* ConfigurationService */]])
], HistoryPage);

//# sourceMappingURL=history.js.map

/***/ })

});
//# sourceMappingURL=17.main.js.map