webpackJsonp([22],{

/***/ 658:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__steam_buy_page__ = __webpack_require__(754);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SteamBuyPageModule", function() { return SteamBuyPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SteamBuyPageModule = (function () {
    function SteamBuyPageModule() {
    }
    return SteamBuyPageModule;
}());
SteamBuyPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__steam_buy_page__["a" /* SteamBuyPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__steam_buy_page__["a" /* SteamBuyPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__steam_buy_page__["a" /* SteamBuyPage */]]
    })
], SteamBuyPageModule);

//# sourceMappingURL=steam-buy.page.module.js.map

/***/ }),

/***/ 754:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__steam_buy_service__ = __webpack_require__(755);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_storage_service__ = __webpack_require__(7);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SteamBuyPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var SteamBuyPage = (function () {
    function SteamBuyPage(nav, steamService, alert, modal, storage) {
        var _this = this;
        this.nav = nav;
        this.steamService = steamService;
        this.alert = alert;
        this.modal = modal;
        this.storage = storage;
        this.steamProducts = [];
        steamService.getSteamVouchers().subscribe(function (response) {
            if (response.isSuccessful) {
                _this.steamProducts = response.result;
            }
        });
    }
    SteamBuyPage.prototype.avail = function () {
        var _this = this;
        var account = this.storage.account;
        var modal = this.modal.create(__WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__["a" /* ConfirmModal */], {
            message: "<p>You are about to purchase</p>\n            \t<b>" + this.selected.name + "</b><br/><br/>\n            \t<p>Amount</p>\n            \t<b>Php " + this.selected.price + "</b><br/><br/>\n            \t<p>Account Number</p>\n            \t<b>" + account.accountNo + "</b>",
            buttons: [{ type: "button", text: "CANCEL", onClick: 'cancel' },
                { type: "xhr", text: "PROCEED", onClick: this.steamService.buySteamVouchers(this.selected.voucherTypeId) }],
            cssClass: 'steam-voucher-confimation'
        }, { showBackdrop: true,
            enableBackdropDismiss: false });
        modal.onDidDismiss(function (response) {
            console.log(response);
            if (response.isSuccessful) {
                var alert_1 = _this.alert.create({
                    message: _this.selected.name + " worth Php " + _this.selected.price + " will now be charged on your account.",
                    buttons: ['OK']
                });
                alert_1.onDidDismiss(function () {
                    //TODO message page
                    _this.nav.pop();
                    console.log('SUCCESS');
                });
                alert_1.present();
            }
            else {
                if (response.message) {
                    _this.errorHandler(response);
                }
            }
        });
        modal.present();
    };
    SteamBuyPage.prototype.errorHandler = function (error) {
        var alert = this.alert.create({
            message: error.message || error,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    return SteamBuyPage;
}());
SteamBuyPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'steam-pag-buy',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/product-services/steam-buy/steam-buy.html"*/'<ion-header>\n	<ion-navbar color="primary">\n		<ion-title>\n			Steam\n		</ion-title>\n	</ion-navbar>\n</ion-header>\n<ion-content>\n	<ion-card>\n		<ion-card-header>\n			Steam\n		</ion-card-header>\n		<ion-card-content>\n			<ion-label>	Choose the amount you want to purchase.</ion-label>\n			<ion-list radio-group [(ngModel)]="selected">\n				<ion-item *ngFor="let item of steamProducts" >\n					<ion-radio color="primary" [value]="item"></ion-radio>\n					<ion-label>Purchase {{item.name}} for {{item.price | currency:\'Php\':false:\'1.2-2\'}}</ion-label>\n				</ion-item>\n			</ion-list>\n			<div class="center">\n				<button ion-button large round [disabled]="!selected" (click)="avail()">PROCEED</button>\n			</div>\n		</ion-card-content>\n	</ion-card>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/product-services/steam-buy/steam-buy.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__steam_buy_service__["a" /* SteamBuyService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_2__steam_buy_service__["a" /* SteamBuyService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ModalController */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_storage_service__["a" /* Storage */]])
], SteamBuyPage);

//# sourceMappingURL=steam-buy.page.js.map

/***/ }),

/***/ 755:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__ = __webpack_require__(7);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SteamBuyService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var SteamBuyService = (function () {
    function SteamBuyService(http, storage) {
        this.http = http;
        this.storage = storage;
        this.config = http.getConfig();
        this.api = this.config.api.vas;
    }
    SteamBuyService.prototype.getSteamVouchers = function () {
        return this.http.get(this.api.steamVouchers);
    };
    SteamBuyService.prototype.buySteamVouchers = function (voucherId) {
        var account = this.storage.account;
        var login = this.storage.login;
        var parameter = {
            voucherTypeID: voucherId,
            email: login.profile.email,
            firstName: login.profile.firstName,
            lastName: login.profile.lastName,
            accountNo: account.accountNo,
            channel: this.config.constants.mobileChannel,
            msaId: this.storage.login.msaId
        };
        return this.http.post(this.api.buySteam, parameter);
    };
    return SteamBuyService;
}());
SteamBuyService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */],
        __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__["a" /* Storage */]])
], SteamBuyService);

//# sourceMappingURL=steam-buy.service.js.map

/***/ })

});
//# sourceMappingURL=22.main.js.map