webpackJsonp([26],{

/***/ 636:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__directory_search_component__ = __webpack_require__(721);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DirectorySearchPageModule", function() { return DirectorySearchPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var DirectorySearchPageModule = (function () {
    function DirectorySearchPageModule() {
    }
    return DirectorySearchPageModule;
}());
DirectorySearchPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__directory_search_component__["a" /* DirectorySearchPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__directory_search_component__["a" /* DirectorySearchPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__directory_search_component__["a" /* DirectorySearchPage */]]
    })
], DirectorySearchPageModule);

//# sourceMappingURL=directory-search.component.module.js.map

/***/ }),

/***/ 721:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__directory_search_service__ = __webpack_require__(722);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_analytics_service__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_stringbuilder_service__ = __webpack_require__(486);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DirectorySearchPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var DirectorySearchPage = (function () {
    function DirectorySearchPage(service, alert, view, analytics, stringbuilder) {
        var _this = this;
        this.service = service;
        this.alert = alert;
        this.view = view;
        this.analytics = analytics;
        this.stringbuilder = stringbuilder;
        view.willUnload.subscribe(function () {
            if (_this.searchSubscription)
                _this.searchSubscription.unsubscribe();
        });
        //ANALYTICS
        this.analytics.trackEvent(__WEBPACK_IMPORTED_MODULE_3__utilities_analytics_service__["b" /* REPORT_PARAMS */].category.pageView, __WEBPACK_IMPORTED_MODULE_3__utilities_analytics_service__["b" /* REPORT_PARAMS */].pages.directorySearch);
    }
    DirectorySearchPage.prototype.search = function (event) {
        var _this = this;
        if (this.searchSubscription) {
            this.searchSubscription.unsubscribe();
        }
        var keyword = event.target.value;
        if (keyword) {
            keyword = keyword.trim();
        }
        else {
            return;
        }
        if (keyword && keyword.length > 2) {
            this.searchSubscription = this.service.directorySearch({
                keyword: keyword,
                pageNo: 1
            }).debounceTime(3000).subscribe(function (response) {
                if (response.isSuccessful) {
                    _this.result = response.directory;
                }
                else {
                    _this.alert.create({
                        // titel: 
                        subTitle: response.message.slice(6, response.message.length),
                        buttons: ["OK"],
                        enableBackdropDismiss: false
                    }).present();
                }
            });
        }
    };
    DirectorySearchPage.prototype.call = function (number) {
        this.stringbuilder.init();
        this.stringbuilder.append(this.service.SPEIL.CALL.replace('${number}', number));
        var message = this.stringbuilder.toString();
        this.alert.create({
            message: message,
            buttons: [
                {
                    text: "NO",
                    cssClass: 'custom-outline',
                    role: "cancel"
                }, {
                    text: "YES",
                    handler: function (event) {
                        window.location.assign("tel:" + number);
                    }
                }
            ],
            enableBackdropDismiss: false
        }).present();
    };
    return DirectorySearchPage;
}());
DirectorySearchPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'directory-search-page',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/directory/directory-search/directory-search.html"*/'<ion-header>\n	<ion-navbar color="primary">\n		<ion-title>\n			Directory Search\n		</ion-title>\n	</ion-navbar>\n</ion-header>\n<ion-content>\n	<ion-searchbar (ionInput)="search($event)" placeholder="Enter a keyword"></ion-searchbar>\n	<ion-list>\n		<ion-card *ngFor="let item of result" (click)="call(item.telephoneNumber)">\n			<ion-card-header>\n				{{item.name}}\n			</ion-card-header>\n			<ion-card-content>\n				<p class="card-address">\n					{{item.address}}</p>\n					<p class="card-number">\n						{{item.telephoneNumber}}\n					</p>\n				</ion-card-content>\n			</ion-card>\n		</ion-list>\n	</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/directory/directory-search/directory-search.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__directory_search_service__["a" /* DirectorySearchService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__directory_search_service__["a" /* DirectorySearchService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* ViewController */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_analytics_service__["a" /* AnalyticsService */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_stringbuilder_service__["a" /* StringBuilderService */]])
], DirectorySearchPage);

//# sourceMappingURL=directory-search.component.js.map

/***/ }),

/***/ 722:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DirectorySearchService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var DirectorySearchService = (function () {
    function DirectorySearchService(http) {
        this.http = http;
        this.api = this.http.getConfig().api.directory;
        this.SPEIL = this.http.getConfig().SPEIL;
    }
    DirectorySearchService.prototype.directorySearch = function (parameter) {
        return this.http.post(this.api.directory, parameter);
    };
    return DirectorySearchService;
}());
DirectorySearchService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */]])
], DirectorySearchService);

//# sourceMappingURL=directory-search.service.js.map

/***/ })

});
//# sourceMappingURL=26.main.js.map