webpackJsonp([3],{

/***/ 657:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__shopping_list_page__ = __webpack_require__(752);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShoppingListModule", function() { return ShoppingListModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ShoppingListModule = (function () {
    function ShoppingListModule() {
    }
    return ShoppingListModule;
}());
ShoppingListModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__shopping_list_page__["a" /* ShoppingList */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__shopping_list_page__["a" /* ShoppingList */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__shopping_list_page__["a" /* ShoppingList */]]
    })
], ShoppingListModule);

//# sourceMappingURL=shopping-list.page.module.js.map

/***/ }),

/***/ 752:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__shopping_list_service__ = __webpack_require__(753);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(8);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShoppingList; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var STATUS = {
    OPEN: 'Ongoing',
    COMPLETED: 'Completed',
    DECLINED: 'Declined',
    SAVED: 'Saved'
};
var ShoppingList = (function () {
    function ShoppingList(service, storage) {
        var _this = this;
        this.service = service;
        this.storage = storage;
        this.refreshObserver = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.segment = "O";
        this.initializeList();
        this.refreshObserver.subscribe(function (respone) {
            _this.initializeList();
        });
    }
    ShoppingList.prototype.initializeList = function () {
        var _this = this;
        var shoppingList = [];
        var combinedShoppingList = [];
        this.service.getShoppingListHistory(this.storage.account.accountNo).subscribe(function (response) {
            //combinedShoppingList = this.filterShoppingListByAccountNo(this.service.retrieveShoppingList());
            response.forEach(function (srHist) {
                if (srHist) {
                    combinedShoppingList = combinedShoppingList.concat(srHist);
                }
            });
            _this.isLoaded = true;
            if (Array.isArray(combinedShoppingList)) {
                combinedShoppingList.forEach(function (item, index) {
                    switch (item.tabStatus) {
                        case STATUS.OPEN:
                            if (_this.ongoing) {
                                _this.ongoing.push(item);
                            }
                            else {
                                _this.ongoing = [item];
                            }
                            break;
                        case STATUS.COMPLETED:
                            if (item['accountNo']) {
                                if (_this.completed) {
                                    _this.completed.push(item);
                                }
                                else {
                                    _this.completed = [item];
                                }
                            }
                            break;
                        case STATUS.DECLINED:
                            if (_this.declined) {
                                _this.declined.push(item);
                            }
                            else {
                                _this.declined = [item];
                            }
                            break;
                        case STATUS.SAVED:
                            if (_this.saved) {
                                _this.saved.push(item);
                            }
                            else {
                                _this.saved = [item];
                            }
                            break;
                        default:
                    }
                });
            }
        }, function (err) {
            _this.isLoaded = true;
        });
        // this.service.getShoppingList().subscribe(response => {
        // 	if(response.shoppingListWired && response.shoppingListWired.isSuccessful)
        // 		shoppingList = response.shoppingListWired.wiredList;
        // 	if(response.shoppingListWireless && response.shoppingListWireless.isSuccessful)
        // 		shoppingList = response.shoppingListWireless.wirelessList;
        // 	if(Array.isArray(shoppingList)){
        // 		shoppingList = this.filterShoppingListByAccountNo(shoppingList);
        // 		// (<any[]>response.shoppingListWired.wiredList).forEach((item, index)=> {
        // 			shoppingList.forEach((item, index)=> {
        // 			item.accountType = 'wired';
        // 			switch(item.tabStatus){
        // 				case STATUS.OPEN:
        // 					if(this.ongoing){
        // 						this.ongoing.push(item);
        // 					}else{
        // 						this.ongoing = [item];
        // 					}
        // 					break;
        // 				case STATUS.COMPLETED:
        // 					if(item['accountNo'])
        // 					{
        // 						if(this.completed){
        // 						this.completed.push(item);
        // 						}else{
        // 							this.completed = [item];
        // 						}
        // 					}
        // 					break;
        // 				case STATUS.DECLINED:
        // 					if(this.declined){
        // 						this.declined.push(item);
        // 					}else{
        // 						this.declined = [item];
        // 					}
        // 					break;
        // 				case STATUS.SAVED:
        // 					if(this.saved){
        // 						this.saved.push(item);
        // 					}else{
        // 						this.saved = [item];
        // 					}break;
        // 				default:
        // 					// if(this.ongoing){
        // 					// 	this.ongoing.push(item);
        // 					// }else{
        // 					// 	this.ongoing = [item];
        // 					// }
        // 			}
        // 		});
        // 	}
        // }, err => {
        // 	this.isLoaded = true;
        // });
    };
    return ShoppingList;
}());
ShoppingList = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'shopping-list',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/product-services/shopping-list/shopping-list.html"*/'<ion-header>\n	<ion-navbar color="primary">\n		<ion-title>\n			Application Status\n		</ion-title>\n	</ion-navbar>\n</ion-header>\n<ion-content>\n	<ion-segment [(ngModel)]="segment" scrollableX>\n	    <ion-segment-button value="O">\n	      Ongoing\n	    </ion-segment-button>\n	    <ion-segment-button value="C">\n	      Completed\n	    </ion-segment-button>\n	    <ion-segment-button value="D">\n	      Declined\n	    </ion-segment-button>\n	    <ion-segment-button value="S">\n	      Saved\n	    </ion-segment-button>\n  	</ion-segment>\n  	<div [ngSwitch]="segment">\n	  	<div class="segment" *ngSwitchCase="\'O\'">\n	  		<shopping-list-item *ngFor="let item of ongoing" \n	  		 [item]="item" [refreshEmitter]="refreshObserver"></shopping-list-item>\n	  		<div class="no-list" text-center *ngIf="!ongoing?.length && isLoaded">\n	  			You currently have no Ongoing items in your shopping list.\n	  		</div>\n	  		<div text-center *ngIf="!isLoaded">\n	  			<ion-spinner name="dots"></ion-spinner>\n	  		</div>\n	  	</div>\n	  	<div class="segment" *ngSwitchCase="\'C\'">\n	  		<shopping-list-item *ngFor="let item of completed"\n	  		[item]="item" [refreshEmitter]="refreshObserver"></shopping-list-item>\n	  		<div class="no-list" text-center  *ngIf="!completed?.length && isLoaded">\n	  			You currently have no Completed items in your shopping list.\n	  		</div>\n	  		<div text-center *ngIf="!isLoaded">\n	  			<ion-spinner name="dots"></ion-spinner>\n	  		</div>\n	  	</div>\n	  	<div class="segment" *ngSwitchCase="\'D\'">\n	  		<shopping-list-item *ngFor="let item of declined"\n	  		[item]="item" [refreshEmitter]="refreshObserver"></shopping-list-item>\n	  		<div class="no-list" text-center  *ngIf="!declined?.length && isLoaded">\n	  			You currently have no Declined items in your shopping list.\n	  		</div>\n	  		<div text-center *ngIf="!isLoaded">\n	  			<ion-spinner name="dots"></ion-spinner>\n	  		</div>\n	  	</div>\n	  	<div class="segment" *ngSwitchCase="\'S\'">\n	  		<shopping-list-item *ngFor="let item of saved"\n	  		[item]="item" [refreshEmitter]="refreshObserver"></shopping-list-item>\n	  		<div class="no-list" text-center  *ngIf="!saved?.length && isLoaded">\n	  			You currently have no Saved items in your shopping list.\n	  		</div>\n	  		<div text-center *ngIf="!isLoaded">\n	  			<ion-spinner name="dots"></ion-spinner>\n	  		</div>\n	  	</div>\n  	</div>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/product-services/shopping-list/shopping-list.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_1__shopping_list_service__["a" /* ShoppingListService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__shopping_list_service__["a" /* ShoppingListService */],
        __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__["a" /* Storage */]])
], ShoppingList);

//# sourceMappingURL=shopping-list.page.js.map

/***/ }),

/***/ 753:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__config_config_properties__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_observable_forkJoin__ = __webpack_require__(806);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_observable_forkJoin___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_observable_forkJoin__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShoppingListService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ShoppingListService = (function () {
    function ShoppingListService(http, storage) {
        this.http = http;
        this.storage = storage;
    }
    ShoppingListService.prototype.getEsaf = function () {
        return this.http.get(__WEBPACK_IMPORTED_MODULE_3__config_config_properties__["a" /* config */].api.shop.getEsaf, this.storage.login.msaId);
    };
    ShoppingListService.prototype.getSR = function () {
        return this.http.get(__WEBPACK_IMPORTED_MODULE_3__config_config_properties__["a" /* config */].api.shop.getSR, "wired", this.storage.login.msaId);
    };
    ShoppingListService.prototype.getShoppingList = function () {
        //return this.http.get(config.api.shop.getShoppingList, "wired", this.storage.login.msaId);
        return this.http.get(__WEBPACK_IMPORTED_MODULE_3__config_config_properties__["a" /* config */].api.shop.getShoppingList, this.storage.login.msaId);
    };
    ShoppingListService.prototype.getSRApplicationStatus = function (accNo) {
        var _this = this;
        var params = { accountNo: accNo };
        return this.http.post(__WEBPACK_IMPORTED_MODULE_3__config_config_properties__["a" /* config */].api.sr.getSRApplicationStatus, params)
            .flatMap(function (response) {
            if (response && response.isSuccessful && response.result) {
                var filteredSRHistory_1 = [];
                var srHistory = response.result;
                srHistory.forEach(function (item) {
                    if (_this.shoppingList.length === 0)
                        filteredSRHistory_1.push(item);
                    // checking for duplicate SRs
                    var iArrPos = _this.shoppingList.map(function (object) { return object['srNo']; }).indexOf(item['srNo']);
                    if (iArrPos === -1)
                        filteredSRHistory_1.push(item);
                });
                console.log('flatmap ', response);
                return __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].of(filteredSRHistory_1);
            }
            else {
                return __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].of(undefined);
            }
        });
    };
    // public getShoppingListHistory(accountNo?: any){
    // 	this.shoppingList = [];
    // 	let combinedAccountNo = [];
    // 	return this.http.get(config.api.shop.getShoppingList,  this.storage.login.msaId)
    // 	.flatMap( response=>{
    // 		console.log('shoppingList ',response);
    // 		if(response.shoppingListWired && response.shoppingListWired.isSuccessful)
    // 			this.shoppingList = this.shoppingList.concat(response.shoppingListWired.wiredList);
    // 		if(response.shoppingListWireless && response.shoppingListWireless.isSuccessful)
    // 			this.shoppingList = this.shoppingList.concat(response.shoppingListWireless.wirelessList);
    // 		const srHistory$: Array<any> = [];
    // 		let accountNoList = [];
    // 		const subscriptions: Array<any> = this.storage.subscriptions;
    // 		if(response.accountNo && response.accountNo.length >0)
    // 		{
    // 			accountNoList = response.accountNo;
    // 		}
    // 		if(subscriptions && subscriptions.length >0){
    // 			combinedAccountNo = accountNoList.filter(
    // 				item =>{
    // 					return subscriptions.map( object => object && this.addZeroPadding(object['accountNo']).indexOf(item) === -1)
    // 				}
    // 			)
    // 		}
    // 		if (accountNo){
    // 			if(combinedAccountNo.indexOf(this.addZeroPadding(accountNo)) === -1)
    // 				combinedAccountNo.push(accountNo);
    // 		}
    // 		combinedAccountNo.forEach(
    // 			accountNo => srHistory$.push(this.getSRApplicationStatus(Number(accountNo)))
    // 		)
    // 		return Observable.forkJoin(srHistory$);
    // 	}
    // 	);
    // }
    ShoppingListService.prototype.getShoppingListHistory = function (accountNo) {
        var _this = this;
        this.shoppingList = [];
        var combinedAccountNo = [];
        return this.http.get(__WEBPACK_IMPORTED_MODULE_3__config_config_properties__["a" /* config */].api.shop.getShoppingList, this.storage.login.msaId)
            .flatMap(function (response) {
            console.log('shoppingList ', response);
            if (response.shoppingListWired && response.shoppingListWired.isSuccessful)
                _this.shoppingList = _this.shoppingList.concat(response.shoppingListWired.wiredList);
            if (response.shoppingListWireless && response.shoppingListWireless.isSuccessful)
                _this.shoppingList = _this.shoppingList.concat(response.shoppingListWireless.wirelessList);
            var srHistory$ = [];
            var accountNoList = [];
            var subscriptions = _this.storage.subscriptions;
            if (response.accountNo && response.accountNo.length > 0) {
                accountNoList = response.accountNo;
            }
            if (subscriptions && subscriptions.length > 0) {
                combinedAccountNo = accountNoList.filter(function (item) {
                    return subscriptions.map(function (object) { return object && _this.addZeroPadding(object['accountNo']).indexOf(item) === -1; });
                });
            }
            if (accountNo) {
                if (combinedAccountNo.indexOf(_this.addZeroPadding(accountNo)) === -1)
                    combinedAccountNo.push(accountNo);
            }
            if (_this.shoppingList && _this.shoppingList.length > 0) {
                _this.shoppingList = _this.filterShoppingListByAccountNo(_this.shoppingList);
                srHistory$.push(__WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].of(_this.shoppingList));
            }
            combinedAccountNo.forEach(function (accountNo) { return srHistory$.push(_this.getSRApplicationStatus(accountNo)); });
            return __WEBPACK_IMPORTED_MODULE_4_rxjs_Observable__["Observable"].forkJoin(srHistory$);
        });
    };
    ShoppingListService.prototype.retrieveShoppingList = function () {
        return this.shoppingList;
    };
    ShoppingListService.prototype.addZeroPadding = function (value) {
        if (value)
            return value.length >= 10 ? value : new Array(10 - value.length + 1).join('0') + value;
        else
            return null;
    };
    ShoppingListService.prototype.filterShoppingListByAccountNo = function (list) {
        var _this = this;
        if (list && this.storage.account && this.storage.account.accountNo) {
            list = list.filter(function (item) {
                item.accountNo = _this.compareSubscription(item.accountNo) ? item.accountNo : null;
                return !item['accountNo'] || _this.addZeroPadding(_this.storage.account.accountNo) === _this.addZeroPadding(item['accountNo']);
            });
        }
        return list;
    };
    ShoppingListService.prototype.compareSubscription = function (accountNo) {
        var _this = this;
        var subscriptions = this.storage.subscriptions;
        var searchAccount = subscriptions.find(function (item) { return item && _this.addZeroPadding(item.accountNo) === _this.addZeroPadding(accountNo); });
        if (searchAccount) {
            return true;
        }
        return false;
    };
    return ShoppingListService;
}());
ShoppingListService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */],
        __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__["a" /* Storage */]])
], ShoppingListService);

//# sourceMappingURL=shopping-list.service.js.map

/***/ }),

/***/ 806:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var Observable_1 = __webpack_require__(5);
var forkJoin_1 = __webpack_require__(490);
Observable_1.Observable.forkJoin = forkJoin_1.forkJoin;
//# sourceMappingURL=forkJoin.js.map

/***/ })

});
//# sourceMappingURL=3.main.js.map