webpackJsonp([36],{

/***/ 686:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__sr_check_status_component__ = __webpack_require__(789);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SrCheckStatusComponentModule", function() { return SrCheckStatusComponentModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SrCheckStatusComponentModule = (function () {
    function SrCheckStatusComponentModule() {
    }
    return SrCheckStatusComponentModule;
}());
SrCheckStatusComponentModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__sr_check_status_component__["a" /* SrCheckStatusComponent */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__sr_check_status_component__["a" /* SrCheckStatusComponent */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__sr_check_status_component__["a" /* SrCheckStatusComponent */]]
    })
], SrCheckStatusComponentModule);

//# sourceMappingURL=sr-check-status.component.module.js.map

/***/ }),

/***/ 789:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_configuration_service__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__support_service__ = __webpack_require__(128);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__ = __webpack_require__(53);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SrCheckStatusComponent; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var SrCheckStatusComponent = (function () {
    function SrCheckStatusComponent(nav, navParams, storage, supportService, alertCtrl, config, analytics) {
        this.nav = nav;
        this.navParams = navParams;
        this.storage = storage;
        this.supportService = supportService;
        this.alertCtrl = alertCtrl;
        this.config = config;
        this.analytics = analytics;
        this.isLoading = true;
        this.srCode = navParams.data.srCode;
        this.date = new Date();
        this.referenceNo = "";
        //ANALYTICS
        this.analytics.trackEvent(__WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__["b" /* REPORT_PARAMS */].category.pageView, __WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__["b" /* REPORT_PARAMS */].pages.checkStatus);
    }
    SrCheckStatusComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.isFromInformation = this.navParams.data.isFromInformation;
        if (!this.isFromInformation) {
            this.segment = "Service Request";
            if (this.storage.account.accountNo)
                this.accountNo = this.storage.account.accountNo;
            if (this.storage.account.accountType === 'wired') {
                this.supportService.getSrLoggedIn(this.accountNo, this.retrieveServiceNumber()).subscribe(function (response) {
                    if (response && response.isSuccessful && response.result) {
                        _this.originalList = _this.supportService.getOriginalList();
                        if (!_this.originalList) {
                            _this.originalList = [];
                        }
                        _this.originalList.push({ categoryCode: "RESTORATION", dateCreated: response.result.dateCreated,
                            srDesc: response.result.cause, status: response.result.status, srSummaryId: response.result.ticketNo });
                    }
                    else {
                        _this.originalList = _this.supportService.getOriginalList();
                    }
                    _this.filterSrRepairList();
                    _this.isLoading = false;
                }, function (error) {
                    _this.isLoading = false;
                    _this.errorHandler(error);
                });
            }
            else {
                this.supportService.getSrHistory(this.accountNo).subscribe(function (response) {
                    if (response && response.isSuccessful && response.result) {
                        _this.originalList = response.result;
                        if (!_this.originalList) {
                            _this.originalList = [];
                        }
                        _this.filterSrRepairList();
                    }
                    else {
                        _this.errorHandler(response);
                    }
                    _this.isLoading = false;
                }, function (error) {
                    _this.isLoading = false;
                    _this.errorHandler(error);
                });
            }
        }
        else {
            this.isLoading = false;
        }
    };
    SrCheckStatusComponent.prototype.filterSrRepairList = function () {
        if (!this.srHistory)
            this.srHistory = [];
        if (!this.repairList)
            this.repairList = [];
        if (this.originalList) {
            if (this.originalList.length > 1) {
                this.originalList.sort(function (firstItem, secondItem) {
                    return new Date(secondItem.dateCreated).getTime() - new Date(firstItem.dateCreated).getTime();
                });
            }
            for (var _i = 0, _a = this.originalList; _i < _a.length; _i++) {
                var item = _a[_i];
                if (item.categoryCode === "RESTORATION") {
                    this.repairList.push(item);
                }
                else {
                    this.srHistory.push(item);
                }
            }
        }
    };
    SrCheckStatusComponent.prototype.search = function () {
        var _this = this;
        var historyList = [];
        if (!this.isFromInformation) {
            if (this.referenceNo && this.originalList) {
                this.srHistory = [];
                this.repairList = [];
                // let item = this.originalList.find( item =>{return item.srSummaryId == this.referenceNo});
                var searchList = this.originalList.filter(function (item) { return item.srSummaryId.startsWith(_this.referenceNo, 0); });
                if (searchList) {
                    for (var _i = 0, searchList_1 = searchList; _i < searchList_1.length; _i++) {
                        var item = searchList_1[_i];
                        if (item.categoryCode === "RESTORATION") {
                            this.repairList.push(item);
                        }
                        else {
                            this.srHistory.push(item);
                        }
                    }
                }
                else {
                    this.srHistory = null;
                    this.repairList = null;
                }
            }
            else if (!this.referenceNo) {
                // this.srHistory = this.originalList;
                this.srHistory = [];
                this.repairList = [];
                if (this.originalList) {
                    for (var _a = 0, _b = this.originalList; _a < _b.length; _a++) {
                        var item = _b[_a];
                        if (item.categoryCode === "RESTORATION") {
                            this.repairList.push(item);
                        }
                        else {
                            this.srHistory.push(item);
                        }
                    }
                }
            }
        }
        else {
            if (this.referenceNo) {
                if (this.referenceNo.length > 2 && this.referenceNo.length !== 9) {
                    if (this.searchSubscription) {
                        this.searchSubscription.unsubscribe();
                    }
                    // if length is not equal to 9, will call fault ticket. Otherwise sr/details  
                    this.isLoading = true;
                    this.searchSubscription = this.supportService.getFaultTicket(this.referenceNo).debounceTime(3000).subscribe(function (response) {
                        if (response && response.isSuccessful) {
                            _this.repairTicketResult = response.result;
                            _this.isLoading = false;
                        }
                        else {
                            _this.repairTicketResult = null;
                            _this.isLoading = false;
                        }
                    });
                }
                else if (this.referenceNo.length === 9) {
                    if (this.searchSubscription) {
                        this.searchSubscription.unsubscribe();
                    }
                    this.isLoading = true;
                    this.searchSubscription = this.supportService.getSrDetails(this.referenceNo).debounceTime(3000).subscribe(function (response) {
                        if (response && response.isSuccessful) {
                            if (response.result.accountId && response.result.isAftersales)
                                _this.repairTicketResult = response.result;
                            else
                                _this.repairTicketResult = null;
                            _this.isLoading = false;
                        }
                        else {
                            _this.repairTicketResult = null;
                            _this.isLoading = false;
                        }
                    });
                }
            }
            else {
                this.repairTicketResult = null;
                this.isLoading = false;
            }
        }
        console.log('searched => ' + this.referenceNo);
    };
    SrCheckStatusComponent.prototype.errorHandler = function (error) {
        var alert = this.alertCtrl.create({
            title: error.errorMessage || error.message || this.config.getConfig().ERROR_MESSAGE.GENERIC_ERROR,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    SrCheckStatusComponent.prototype.retrieveServiceNumber = function () {
        var pldtLandline;
        if (this.storage.profile.basePlan && this.storage.profile.basePlan.serviceTypeCode === 113) {
            pldtLandline = this.storage.profile.basePlan.serviceNumber;
        }
        if (!pldtLandline) {
            var plan = this.storage.profile.subPlans.find(function (subPlan) { return subPlan.serviceTypeCode === 113; });
            if (plan)
                pldtLandline = plan.serviceNumber;
        }
        return pldtLandline;
    };
    SrCheckStatusComponent.prototype.checkNoRecordsFound = function () {
        // console.log(!this.originalList || (this.originalList && this.originalList.length === 0));
        return (!this.srHistory || (this.srHistory && this.srHistory.length === 0)) &&
            (!this.repairList || (this.repairList && this.repairList.length === 0));
    };
    return SrCheckStatusComponent;
}());
SrCheckStatusComponent = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'sr-check-status-component',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/support/sr-check-status/sr-check-status.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <button ion-button menuToggle>\n      <ion-icon class="custom-back-button" navPop (click)="back()"></ion-icon>\n    </button>\n    <ion-title >Check Status</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="index">\n<!-- <div ion-fixed> -->\n<div>\n    <span class="span-layout">\n        <div class="tooltip-label">Input Service Request No.</div>\n        <div class="tooltip-padding right">\n        <tooltip>\n            <ul class= "check-status-list-align">\n                <li>Your Service Request (SR) number is provided everytime you transact with myHome or thru our Customer Care PLDT Sales and Service Center / Hotline.<br/><br/></li>\n                <li>You may use this feature by entering the SR number to find the status of your previous request.</li>\n        </ul>\n        </tooltip>\n        </div>   \n    </span>\n</div>\n\n  <ion-searchbar (ionInput)="search()" placeholder="Service Request No." [(ngModel)]="referenceNo" name="referenceNo" type="tel"></ion-searchbar>\n    \n    <ion-segment *ngIf= "!isFromInformation" [(ngModel)]="segment">\n    <ion-segment-button value="Service Request">\n      Service Request\n    </ion-segment-button>\n    <ion-segment-button value="Repair">\n      Repair Ticket\n    </ion-segment-button>\n  </ion-segment>\n\n <ion-spinner name="dots" class="page-loading" *ngIf="isLoading"></ion-spinner>\n    <div *ngIf="!isLoading && !isFromInformation">\n        <div *ngFor = "let history of segment!==\'Repair\'?srHistory:repairList">\n            <detail-card-component [itemDate]="history.dateCreated" \n                [itemTime]="history.dateCreated" \n                [cardTitle]="history.srDesc"\n                [isDivided]="true">\n                <div >\n                    <detail-card-item \n                        [itemTitle]="\'Reference Number\'" \n                        [itemValue]="history.srSummaryId" >\n                    </detail-card-item >\n                    <detail-card-item \n                        [itemTitle]="\'Status\'" \n                        [itemValue]="history.status" >\n                    </detail-card-item >\n                </div>      \n            </detail-card-component>\n        </div>\n        <div class = "no-records-found" *ngIf ="checkNoRecordsFound()">\n            No record found.\n        </div>\n    </div>\n\n    <div *ngIf="!isLoading && isFromInformation">\n        <div *ngIf = "repairTicketResult">\n            <detail-card-component [itemDate]="repairTicketResult.promCreated || repairTicketResult.dateCreated" \n                [itemTime]="repairTicketResult.promCreated || repairTicketResult.dateCreated" \n                [cardTitle]="repairTicketResult.cause || repairTicketResult.srDescription || repairTicketResult.srDesc"\n                [isDivided]="true">\n                <div >\n                    <detail-card-item \n                        [itemTitle]="\'Reference Number\'" \n                        [itemValue]="repairTicketResult.ticketNo || repairTicketResult.srSummaryId" >\n                    </detail-card-item >\n                    <detail-card-item \n                        [itemTitle]="\'Status\'" \n                        [itemValue]="repairTicketResult.srStatus || repairTicketResult.status" >\n                    </detail-card-item >\n                </div>      \n            </detail-card-component>\n        </div>\n        <div class = "no-records-found" *ngIf ="!repairTicketResult && referenceNo && !isLoading">\n            No record found.\n        </div>\n    </div>\n\n<!-- </div> -->\n</ion-content>\n'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/support/sr-check-status/sr-check-status.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_4__support_service__["a" /* SupportService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_configuration_service__["a" /* ConfigurationService */],
        __WEBPACK_IMPORTED_MODULE_5__utilities_analytics_service__["a" /* AnalyticsService */]])
], SrCheckStatusComponent);

//# sourceMappingURL=sr-check-status.component.js.map

/***/ })

});
//# sourceMappingURL=36.main.js.map