webpackJsonp([53],{

/***/ 659:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__steam_page__ = __webpack_require__(756);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SteamPageModule", function() { return SteamPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SteamPageModule = (function () {
    function SteamPageModule() {
    }
    return SteamPageModule;
}());
SteamPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__steam_page__["a" /* SteamPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__steam_page__["a" /* SteamPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__steam_page__["a" /* SteamPage */]]
    })
], SteamPageModule);

//# sourceMappingURL=steam.page.module.js.map

/***/ }),

/***/ 756:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__account_link_account_service__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__utilities_configuration_service__ = __webpack_require__(24);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SteamPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SteamPage = (function () {
    function SteamPage(storage, nav, modalCtrl, alert, accountService, configuration) {
        this.storage = storage;
        this.nav = nav;
        this.modalCtrl = modalCtrl;
        this.alert = alert;
        this.accountService = accountService;
        this.configuration = configuration;
    }
    SteamPage.prototype.avail = function () {
        this.observable = this.accountService.getAccountLinkStatus();
    };
    SteamPage.prototype.onSuccess = function (response) {
        if (response.isSuccessful) {
            // if(response.result.ivrsValidatedDate === null){
            // 	//TODO: IVRS ENROLLMENT
            // 	this.ivrsRedirect();
            // 	// this.nav.push(SteamBuyPage);
            // }else{
            this.nav.push('SteamBuyPage');
            // }
        }
    };
    SteamPage.prototype.errorHandler = function (error) {
        var message = error.message || "";
        if (message === '')
            message = this.configuration.getConfig().ERROR_MESSAGE.GENERIC_ERROR;
        var alert = this.alert.create({
            subTitle: message,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
    };
    SteamPage.prototype.ivrsRedirect = function () {
        var _this = this;
        var confirmModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_confirm_modal_confirm_modal_component__["a" /* ConfirmModal */], {
            message: 'To proceed with this transaction, please verify your account via your registered landline',
            inputs: [{ name: 'accountNo', type: 'number', value: this.storage.account.accountNo, placeholder: '', isVisible: false }],
            buttons: [{ type: 'button', text: 'CANCEL', onClick: 'cancel' },
                { type: 'xhr', text: 'VERIFY', onClick: 'resendIVRS', onSuccess: 'confirmIVRS' }],
            observable: '',
            observableError: ''
        }, { showBackdrop: true,
            enableBackdropDismiss: false });
        confirmModal.present();
        confirmModal.onDidDismiss(function (result) {
            if (result && result.isSuccessful) {
                var alert_1 = _this.alert.create({
                    subTitle: "<b>We've sent you an email!</b><br/><br/> Please call express hotline number 101012 using your registered PLDT landline and key in the 6-digit code sent to your email <b>" + _this.storage.ssoProfile.email + "</b>",
                    buttons: [{ text: 'OK', handler: function () {
                                alert_1.dismiss();
                            } }],
                    enableBackdropDismiss: false
                });
                alert_1.present();
                alert_1.onDidDismiss(function () {
                    _this.nav.pop();
                });
            }
        });
    };
    return SteamPage;
}());
SteamPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'steam-page',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/product-services/steam/steam-page.html"*/'<ion-header>\n	<ion-navbar color="primary">\n		<ion-title>\n			Steam\n		</ion-title>\n	</ion-navbar>\n</ion-header>\n<ion-content>\n	<ion-card>\n		<img src="assets/headers/steam.jpg">\n		<ion-card-content>\n			<p class="center" padding>\n				Avail of Steam Wallet Codes to purchase games,\n				software, wallet credit, and any other item\n				you can purchase on Steam.\n			</p>\n			<div class="button-container center">\n				<!-- <button ion-button large round (click)="avail()">AVAIL</button> -->\n				<xhr-button color="primary" text="AVAIL"\n					[observable]="observable"\n					(onSuccess)="onSuccess($event)"\n					(onError)="errorHandler($event)" (click)="avail()"\n					[large]="true"></xhr-button>\n			</div>\n		</ion-card-content>\n	</ion-card>\n	<div class="center" padding>\n		Step by step guide to Steam\n			wallet purchase.\n	</div>\n	<hr>\n	<div padding>\n	STEP 1:\n	This promo is available to all new applicants and existing PLDT landline subscribers for HOME DSL & HOME DSL-TVolution plans.\n	<br><br>\n	STEAP 2:\n	Promo offers can be availed in all PLDT HOME boots,Sales & Service Centers nationwide & PLDT myHome\n	<br><br>\n	STEP 3:\n	Only one valid ID is needed\n	</div>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/product-services/steam/steam-page.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ModalController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_4__account_link_account_service__["a" /* AccountService */],
        __WEBPACK_IMPORTED_MODULE_5__utilities_configuration_service__["a" /* ConfigurationService */]])
], SteamPage);

//# sourceMappingURL=steam.page.js.map

/***/ })

});
//# sourceMappingURL=53.main.js.map