webpackJsonp([9],{

/***/ 696:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_components_module__ = __webpack_require__(479);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__purchase_history_page__ = __webpack_require__(799);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PurchaseHistoryPageModule", function() { return PurchaseHistoryPageModule; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PurchaseHistoryPageModule = (function () {
    function PurchaseHistoryPageModule() {
    }
    return PurchaseHistoryPageModule;
}());
PurchaseHistoryPageModule = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__purchase_history_page__["a" /* PurchaseHistoryPage */]],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__purchase_history_page__["a" /* PurchaseHistoryPage */]),
            __WEBPACK_IMPORTED_MODULE_2__components_components_module__["a" /* ComponentsModule */]
        ],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__purchase_history_page__["a" /* PurchaseHistoryPage */]]
    })
], PurchaseHistoryPageModule);

//# sourceMappingURL=purchase-history.page.module.js.map

/***/ }),

/***/ 799:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__purchase_history_service__ = __webpack_require__(800);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__ = __webpack_require__(53);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PurchaseHistoryPage; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var PurchaseHistoryPage = (function () {
    function PurchaseHistoryPage(nav, navParams, service, alert, storage, analytics) {
        var _this = this;
        this.nav = nav;
        this.navParams = navParams;
        this.service = service;
        this.alert = alert;
        this.storage = storage;
        this.analytics = analytics;
        this.total = 0;
        this.purchases = [];
        this.isLoading = true;
        this.period = this.storage.account.info.eligibility.billPeriod;
        this.service.getPurchaseHistory().subscribe(function (response) {
            //
            if (response.isSuccessful) {
                if (response.result.purchaseHistoryList.length > 0) {
                    _this.purchases = response.result ? response.result.purchaseHistoryList : [];
                    for (var _i = 0; _i < _this.purchases.length; _i++) {
                        _this.total = _this.total + _this.purchases[_i].amount;
                    }
                }
                else {
                    var alert_1 = _this.alert.create({
                        message: 'No record found!',
                        buttons: [
                            {
                                text: 'OK',
                                handler: function () {
                                    _this.nav.pop();
                                }
                            }
                        ],
                        enableBackdropDismiss: false
                    });
                    alert_1.present();
                }
            }
            else {
                _this.errorHandler(response);
            }
        }, function (err) { return _this.errorHandler(err); }, function () {
            _this.isLoading = false;
        });
        //ANALYTICS
        this.analytics.trackEvent(__WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__["b" /* REPORT_PARAMS */].category.pageView, __WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__["b" /* REPORT_PARAMS */].pages.purchaseHistory);
    }
    PurchaseHistoryPage.prototype.errorHandler = function (error) {
        var alert = this.alert.create({
            title: error.errorMessage || error.message || error,
            buttons: ['Dismiss'],
            enableBackdropDismiss: false
        });
        alert.present();
        this.isLoading = false;
    };
    return PurchaseHistoryPage;
}());
PurchaseHistoryPage = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPage */])(),
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-purchase-history',template:/*ion-inline-start:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/volume-packages/purchase-history/purchase-history.html"*/'<!DOCTYPE html>\n<ion-header>\n    <ion-navbar align="center" color="primary">\n        <ion-title>Purchase History</ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <ion-spinner class="page-loader" name="dots" *ngIf="isLoading"></ion-spinner>\n    <div padding *ngIf="purchases.length > 0">\n        <!--<p>Period: <b>{{ isSameYear ? (dateFrom | date:\'MMMM d\') : (dateFrom | date:\'yMMMMd\')}} - </b><b>{{dateTo | date: \'yMMMMd\'}}</b></p>-->\n        <p>Period: <b>{{ period }}</b></p>\n        <p>Total: <b color="primary">{{ total | currency:\'PHP\':true:\'1.2-2\'}}</b></p>\n    </div>\n    \n    <ion-card color="light" *ngFor="let purchase of purchases">\n        <ion-card-content>\n            <ion-grid>\n                <ion-row class="bottom-border">\n                    <ion-col align="left">{{purchase.date || purchase.transactionDate | date:\'yMd\'}}</ion-col>\n                    <!--<ion-col align="right">{{purchase.transactionDate | date:\'jm\'}}</ion-col>-->\n                </ion-row>\n                <ion-row>\n                    <ion-col class="description"> <b>{{purchase.description}}</b></ion-col>\n                </ion-row>\n                <ion-row>\n                    <ion-col align="left">Amount</ion-col>\n                    <ion-col align="right">{{purchase.amount | currency:\'PHP\':true:\'1.2-2\'}}</ion-col>\n                </ion-row>\n            </ion-grid>\n        </ion-card-content>\n    </ion-card>\n</ion-content>'/*ion-inline-end:"/Users/jakesugue/Documents/Workspace/pldt-myhome-mobile/pldt-myhome-mobile/src/pages/volume-packages/purchase-history/purchase-history.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__purchase_history_service__["a" /* PurchaseHistoryService */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__purchase_history_service__["a" /* PurchaseHistoryService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* AlertController */],
        __WEBPACK_IMPORTED_MODULE_3__utilities_storage_service__["a" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_4__utilities_analytics_service__["a" /* AnalyticsService */]])
], PurchaseHistoryPage);

//# sourceMappingURL=purchase-history.page.js.map

/***/ }),

/***/ 800:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__utilities_http_service__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__ = __webpack_require__(7);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PurchaseHistoryService; });
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var PurchaseHistoryService = (function () {
    function PurchaseHistoryService(http, storage) {
        this.http = http;
        this.storage = storage;
        this.api = this.http.getConfig().api.account;
        this.constants = this.http.getConfig().constants;
        this.account = this.storage.account;
        this.profile = this.storage.profile;
    }
    PurchaseHistoryService.prototype.getPurchaseHistory = function () {
        if (this.account.accountType === 'wired') {
            var accountNo = this.storage.account.accountNo, srn = this.account.info.basePlan.voiceServiceNumber, //this.storage.account.info.basePlan.externalId=== '11'? this.storage.account.info.basePlan.serviceNumber:this.storage.account.info.subPlans[0].serviceNumber,
            topUpServiceNumber = this.account.info.basePlan.topUpServiceNumber, usageTypeId = this.storage.account.info.basePlan.usageTypeId, channel = this.constants.mobileChannel;
            var params = "/" + accountNo + "/" + srn + "/" + topUpServiceNumber + "/" + usageTypeId + "/" + channel;
            return this.http.get(this.api.wiredPurchaseHistory + params);
        }
        else {
            var accountNo = this.storage.account.accountNo, srn = this.storage.account.info.accountInfo.srn || '', billCycle = this.profile.eligibility.billCycle, channel = this.constants.mobileChannel;
            var params = "/" + accountNo + "/" + srn + "/" + billCycle + "/" + channel;
            return this.http.get(this.api.wirelessPurchaseHistory + params);
        }
    };
    return PurchaseHistoryService;
}());
PurchaseHistoryService = __decorate([
    __webpack_require__.i(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__utilities_http_service__["a" /* HttpService */],
        __WEBPACK_IMPORTED_MODULE_2__utilities_storage_service__["a" /* Storage */]])
], PurchaseHistoryService);

//# sourceMappingURL=purchase-history.service.js.map

/***/ })

});
//# sourceMappingURL=9.main.js.map